[           Legend:          ]
[ + Added feature            ]
[ * Improved/changed feature ]
[ - Bug fixed (we hope)      ]
[ ! Attention (Notes)        ]
[ M Maintenance              ]
[ dates are dd/mm/yyyy !!!   ]

ChangeLog:
 v0.9.3:
 * 26/11/06 [*] Version 0.9.3 started :)
			(Refraction)
 v0.9.2:
 * 30/10/06:[*] Improved the way Unpacks are handled slightly, just so its a little quicker (not much)
			[-] MMI bug causing corrupt characters on Max Payne fixed
			[-] Performance counters corrected in INT and REC
			[-] Branches in a branch delay slot no longer results in a crash
			[*] Changed Run CD to Run CD/DVD, ps2 doesnt use CD's much :P
			[*] Removed "Advanced" from the menu, not required anymore (at the moment)
			[-] Small alteration to IPU transfers, ending the transfer too quickly
			[-] Made a seperate branchtest for INT, fixed the VU not running on the bios in INT
			(Refraction - Zerofrog)
			
 * 16/10/06:[-] Counter bugz again, seemed to effect the text in xmen
			[-] Fixed an ipu bug which stopped the GTA San Andreas videos working
			[-] couple more smaller unpack changes to remove a hack
			(Refraction)
			
 * 15/10/06:[*] Moved some declarations from patch.c to patch.h
			[-] Fixed problem with XML patch loading (see above).
			[+] Merged my WIP cheat finder dialog (note WIP).
			(Gigaherz)

 * 11/10/06:[+] Added XML Patch support
			[-] More unpack fixes for GT3/GT4, Xmen, Midnight Club 2, FFX sky, Whiplash and more :)
			(Refraction - Gigaherz)

 * 05/10/06:[-] Fixed VIF Unpack skipping write cycle counting (Fixes XMen 2 amongst other SPS)
			[-] Small counter change, am i ever going to get peace from these :(
				(Refraction)
				
 * 03/10/06:[-] Fixed MFIFO issue where VIF/GIF might not be ready
			[*] Improved Guitar Hero fix, seems MFIFO isnt too keen on sliced transfers (especially on GIF)
			[*] Modified VS2005 Project file so it compiles - Thanks to CKemu for doing that :P
			(Refraction - CKemu)

 * 02/10/06:[*] Various changes in cdvd.c. Most notable is the implementation of cdvd.PwOff.
			It is actualy INTR_STAT and has "completition" bits that are Ack'ed by cdvdman interrupt handler.
			...to be continued.
			(Florin)

 * 30/09/06:[*] Corrected performance counter register reads on COP0 (3 regs are accessed by 1) - Lego Racers 2
			[-] Altered the order DIV on IOP rec handles signs - Lego Racers 2
			(Refraction)

 * 29/09/06:[-] Fixed condition where MFIFO could get ahead of itself/not have enough data available
				(fixes Guitar Hero)
			[-] Fixed up DMA Stalls between VIF/IPU/GIF, games such as Theme Park World should work properly now.
			[+] Added cpu detection for Dual core Opterons, Athlon X2's and Intel Core 2 Duo's (no perf effect)
			[+] Added saqibs sound changes so ADMA and ADPCM streams work.
			[-] Yes, more counter fixes, fed up of these :P
			[-] DMA transfers fixed when a QWC is already given, it transfers the QWC then ends (Fixes Ridge Racer 5 a bit)
			[-] Small GSCSR changes, not sure what will be fixed.
			[-] Event where the DMA could be terminated during a stall on VIF
			[-] Various Rec + MTGS + IPU Fixes
			(Refraction - Saqib - ZeroFrog)
			
 * 25/07/06:[-] Changed Vif0 COL/ROW mem write addresses, they were going to the same QW
			[*] Made Vif stalls use cycles to delay, due to the spiderman fix we dont want these interrupting instantly!
				(fixes Flatout BIFCO)
			[-] Call/Ret now update the ASR status in the CHCR register
			[-] Couple of small fixes to Tag BUSERR, altho i hope we never need them :P
			[+] Added seperate EE counter logging
				(Refraction)
 
v0.9.1:		
 * 28/06/06:[+] MAJOR CHANGE: All recompilers and memory code rewritten.
 				eeRec now does block analysis, constant propagation, liveness
 				analysis, mmx/xmm reg caching, etc.
 				vuRec is about 10x faster than older vurec. Both VU0 and
				 VU1 recs work and share the same code.
 				iopRec - does same as eeRec, except is simpler
 				Altogether, 3D scenes are 2-4x faster than 0.9 release.
 				(zerofrog)
 * 09/05/06:[*] Moved repository to SVN. Play nice. Any questions... you know where to find me
			[+] new developer blogs from me and auMatt
				(Florin-auMatt)

 * 05/05/06:[*] Changed names of the SSBUS registers in PsxHw.c
			[!] dev1 is rom bus, dev5 is cdvd bus, dev9 is ata|smap|dvr|uart|flash bus
				(Florin)

 * 04/05/06:[+] Added atad and dev9 functions names to psxinterpreter.c
				(Florin)

 * 01/05/06:[+] Added *pass-through* MagicGate support. It will work with pre-decrypted files
				(Florin)

 * 30/04/06:[-] Fixed (almost:P) the debug bios for remote debugging in WinMain.c
			[*] Added PSX detection in Misc.c
			[+] Added DevBlog.txt file to Docs. Please read and contribute.
				(Florin)

 * 15/04/06:[M] Removed some *shit*; please don't commit *.suo/aps/opt/plg/ncb/exp files
			[*] added/fixed some scmd commands in cdvd.c
				(Florin)

 * 13/04/06:[*] Implemented CDVD Scmd 0x3E(set OSDVER for PSTwo), Thanks to loser for info.
 				(auMatt)
 								
 * 12/04/06:[!] Uploaded to CVS the latest version, (fixed vc2005 project,
			converted all files to CR/LF ending)
			[!] When commiting to CVS, please write same text to comment as in here
			[*] Changed the _MSC_VER version displaying; hoping ms will keep it linear :)
			[*] Implemented properly CDVD Scmd 0x36 (get OSDVER for PStwo)
				(Florin)

 * 10/04/06:[!] Changed to version 0.9.1
			[-] Fixed some Vif FIFO bugs and moved VIF interrupt to check the channel has ended
			[-] Fixed some counter bugs (better now i can test on my ps2!)
			[!] This code is not perfectly stable and contains debug printouts! It is purely for the other
				devs who dont have the latest code ;)
				(Refraction)

 v0.9:
 * 02/04/06:[+] VU0 Rec added, still buggy
			[*] VU1 Speedups and fixes, needs more testing but seems better
			[*] CDVD Timing Improved wait times for commands reduced.
			[-] Misc eeRec bug fixes made
			[*] Vif stalls greatly improved loads more games now work!
			[*] Counters modified with gates and improved accuracy
			[*] Cycle counting in EE/IOP done on branches to cut download
				2D speed up by over double!
			[-] Misc VIF unpack fixes
			[-] GIF Stalls should now work correctly
			[+] Virtual Memory for Windows XP users, quicker than TLB
			[*] Difference CPU options can be mixed and matched by users choice
			[-] SIF communication fixed, games can now be booted via the bios (in most cases)
			[!] Lots of other fixes have been made by due to lazyness we didnt document! :D
			[+] MTGS and Dual Core modes added which are VERY experimental!
			[!] This is the FINAL code for 0.9 enjoy!
				(Refraction, ZeroFrog, Saqib)
 * 15/02/06:[+] Multithreaded GS/Dual Core Support
 				(zerofrog)
 * 17/01/06:[-] Some changes in CDVD tray status
				(efp)
				
 * 16/01/06:[-] Fixed sticky flags.
 			[*] Implemented/Fixed a lot of vu functions in vurec. VuRec now properly checks for underflow/overflow
 			(zerofrog)
 * 15/01/06:[-] Bug fixes in VU rec/interp (Ebit, xgkick). Added 24bit precision for VUs.
 			[*] Changed all math functions to use the C++ floating point versions.
			(zerofrog)
 * 14/01/06:[-] VU Flag fixes + double removal (it needed doing) from zerofrog
			[-] Disabled an old PSX Counter hack that i left in some how!
			[*] Changed SIF reg code to something simpler and less time consuming
			(Refraction)
 * 13/01/06:[*] Fixed mac update flags for vu interpreter.
 			(zerofrog)			

 * 12/01/06:[-] Changed IPU.c, thread syncing issue fixed by zerofrog
			[*] Altered SBUS so it is triggered on PSX dma
			[*] Removed a load of IOP hacks, should improve compatability in some cases
			[!] A lot of changes have been made since 05/09/05 but weve lost track, whoops
			(Refraction Saqib zerofrog)

 * 05/01/06:[*] Added GSreadFIFO2 for faster reads from GS.
			[-] Fixed the multi-threaded IPU and added sync primitives for interrupts and DMA.
				The green squares should be gone too.
				(zerofrog)
				
 * 05/09/05:[-] Fixed VU-Rec crash if the pc overflowed the vumem, thanks to fumofumo!
			[*] New Icon for 0.9 made by CKemu
			[+] Vsync rate now selectable, current Vsync speed is default but less compatable in
				some cases, option selects real vsync speed, syncs sound correctly. 
				(Refraction)
				
 * 03/09/05:[-] IOP rec & VU0rec fix, x86ptr being set in the wrong place, also a couple of vu-rec op fixes
				thanks to fumofumo on irc.
			[-] Slowed VSync down to actual speed, so sound isnt half the speed of the graphics,
				a few more changes to counters as well, BOR works again, just slower ;p
				(Refraction)
				
 * 30/08/05:[-] Few more changes to the counters, seems much better again, last fix killed stuff
			[-] VSync rate now actually changes between PAL and NTSC, before it was stuck in NTSC
			[-] Couple of changes in VIF 
 * 24/08/05:[-] Readded setting of Done on VIF1 TTE, added the same on VIF0
			[-] Applied VIF1 FBRST fix to VIF0 too
			[-] Fixed problem causing Beats Of Rage to skip and altered slow sound prob again.
				(Refraction)
				
 * 23/08/05:[-] Did some more timing fixes, they should be a LOT more compatable now
			[-] Small change to FBRST, was causing crashes if VIF was finished.
			[+] Added counter copy to hold on SBUS interrupt
				(Refraction)
				
 * 21/08/05:[-] Few fixes in the eeRec, shouldnt crash on Kingdom Hearts now, Thanks to fumofumo!
			[-] Fixed a bug in FBRST and Vif1, altho theres still an interrupting problem somewhere :/
			[-] Int VU now uses Single Precision (its faster) with no loss of graphics.
			[-] Made sure MAC, CLIP and STATUS flags are all located on VU0.
			[*] Enabled linuz's SSE unpack code, gives a nice little speed boost, works ok :)
			[-] VU execute blocks limited to 128, seems a little faster, no loss of graphics, seems
				to fix a few looping infinately issues (VU not breaking) (GiGaHeRz)
			[-] Hack removed on TLBP, should hopefully work ok, doesnt seem to break anything (GiGaHeRz)
			[+] Added SPU2 hack, should fix some games, not compatable with videos tho. removed fast dvd
			[-] More counter stuff, also added gating to IOP counters, not totally sure on it.
			[-] Added a couple of checks in VU & eeRec to make sure the constant registers werent overwritten
			[-] Temp fix for the dma alignment error on GIF
			[-] modified dma timings, qwc / BIAS could mess up if qwc = 1
			[-] Singled out some problematic VU-Rec ops that cause FFX to hang and borkey graphics.
				(Refraction)
			
 * 12/08/05:[*] Few more timing things, music shouldnt be slow anymore on games and cleaned up
				counters a bit.
			[+] Added SBUS register logging on IOP side
			[-] Temp fixed a MAC flag problem in vu-rec till linuz sorts it properly
			[*] Committed new logo, nice job CKEmu ;)
			[*] Vu-Rec now supports non SSE2 processors thanks to kekko for the changes!
				(refraction)
				
 * 05/08/05:[+] Added faster Cd/DVD reads to the Advanced options (Refraction)
			[-] The previous DVD/CD change by ref was just a hack, so i commited the old
				version again
			[-] I've commented out RECOMPILE_VUMI_LOADSTORE on iVUmicro.h, instead
				of commenting it out in iVU1micro.c as ref did on last update, 
				that way is better until i fix the real problem
			[*] Improved vuDIV for .x to .x cases
			[+] Added PEXTRW/PINSRW
			    (linuzappz)

 * 05/08/05:[-] Fixed a couple of VU-Rec ops, swapped some over to the interpreter to fix 2d
				(thanks to fumofumo for the tipoff)
			[-] Yes more timing stuff :P think its as compatable as its going to get now.
			[*] DVD/CD reads now considerably faster, some loading times down by 1600%!!! 
			    Compatability still good :)
			[-] Fixed a bug in 128bit hardware reads
			[-] Fixed a bug i made in VU which messed graphics up eg Frequency and Sega Tennis
			    (refraction)
			    
 * 04/08/05:[-] More IOP/EE timing fixes, Thanks for the info linuz
			[-] Vsync speeds shouldnt be as insane as they were, the target was set as 1/4 the rate
				instead of 1/2!
			[!] 32bit timer interrupt checks arent working properly eg. overflow only works
				when checking if they are equal, on target only works on overflow :/ but the checking
				method which was used in SafeIOP is more accurate.
				(refraction)
				
 * 03/08/05:[-] Fixed FTOX in VUrec
				(linuzappz)

 * 31/07/05:[-] Reverted to old Branchtarget's, seems to stop the RecUNKs
			[-] Fixed the timing a bit between IOP & EE, shouldn't need SafeIOP anymore :D
			[-] Removed Pointless While loops on GIF & SPR, also fixed condition where SPR0
				couldn't use destination chain mode
			[!] Gating on the IOP needs checking/completing, i have no docs on it so
				i can't check the values for it, they seem different to EE :/
			[-] Removed GS Stall checking on GIF, could have caused it not to send data.
			[*] Added code for faster V4-32 unpacks when CL == WL
			[*] x86 code kept in int format for rec instead of U8 to INT conversion (GiGaHeRz)
				(refraction)
				
 * 21/07/05:[-] Fixed setting of the Double Buffer
			[-] Fixed the Branchtarget's for R3000A and R5900
			[*] Altered some stuff in vuflags, seems to give a speed boost :P
			(refraction)
			
 * 18/07/05:[-] Removed some useless & 0xffff on Hw.c
			[-] Reverted Sif changes to the old code,
				gotta speak about this with refraction
			[+] Added VIF1_STAT at vif1Write32, to handled the FDR bit
			[-] VIF1 now clears qwc with "from memory" transfer
				(linuzappz)

 * 17/07/05:[-] Fixed a bug in VIF where done could be unset
			[-] Fixed a couple of bugs in VU
			[*] Rewrote SIF0, seems to be a bit more compatable as well
				as more readable
			[-] Altered the loops for vu(1/0)exec, seems to fix some graphics
				without comprimising compatability
				(refraction)
				
 * 12/07/05:[-] Fixed VIF stop on stall occurance (refraction)
			[-] Added two common funcs for source chain dmas
			[-] Fixed REFE and END (even once again) in dmas
			[-] Fixed interrupt i bit issue in Vif1 (on multiple i bits)
				(linuzappz)

 * 08/07/05:[-] MFIFO now wraps around the ring buffer when it's full,
				in both GIF/VIF1
				(linuzappz)

 * 06/07/05:[-] Bug in DIRECT/HL caused vif errors
			[-] Recomitted old VIF0 IRQ stuff, seemed to cause problems
				(Refraction)

 * 05/07/05:[-] Fixed IRQ setting for VIF0 transfers (Refraction)
			[*] Removed Call/Ret from SPR1, not used (Refraction)
		    	[+] Added some more comments to DMA stuff (Refraction)
			[-] Reimplemented the old vifunpack code, since saqib's one 
				had problems 'in pieces' transfers
			[-] ElfHeader now loads the data though the program headers only
			[-] Removed tadr+= 16 on refe/end on dmas
			[!] I'll start commenting more the code from now on, so it'll
				be easier for us to understand every part of pcsx2, others
				pls do the same kthx
				(Refraction-linuzappz)

 * 02/07/05:[-] Added saqib vif fixes
			[-] Fixed Stall canceling stat bits (VIF_STAT_INT)
			[-] Fixed Stall bits clearing
				(Refraction-saqib-linuzappz)

 * 29/06/05:[*] iR3000A now has defines same as iR5900.c
			[+] Added PSXCNT_LOG
				(linuzappz)

 * 28/06/05:[+] Added InterlaceHack (usefull for Dinasty Warriors 3)
			[+] Added SafeCnts flag, which makes very accurate iop counters,
				but they make pcsx2 slower
			[+] Added FastIopClk which sets the PsxClk to 86864000
			[!] There are sorta hacks and will go away in time when i figure
				out how to really fix them
				(linuzappz)

 * 28/06/05:[+] Added SIO plugin specs. Should be followed by compatible plugins :P
				(Florin)

 * 22/06/05:[-] Console supports colors ;)
				(linuzappz)

 * 19/06/05:[-] Fixed D/T flags (added interrupts) at VU0/1
				(linuzappz)

 * 18/06/05:[-] Rather small fixes to last update in vif, replaced cyclenum
				with _vif->cl, also fixed a timing issue in vif0
				(linuzappz)

 * 14/06/05:[-] Alot of bugs fixed in VIF. Masking was not correct so was
                filling write. VIF0 was incorrect. The VIF0 Fifo was 		always being set to 0. 
			[-] dmaSPR1 now handles Transfer Tag option. 
				(saqib and Refraction)

 * 31/05/05:[-] Fixed UNPACK's with masking
				(linuzappz)

 * 29/05/05:[-] Fixed a few small timing issues with VIF1
			[-] Refixed end source chain tag to add 16 to tadr
				(linuzappz)

 * 28/05/05:[*] Uncommented GS dma irq code
			[-] Fixed some switch cases at iVUmicro.c
			[-] Tested/Fixed DIS_S/MAX_S/MIN_S at iFPU.c
				(linuzappz)

 * 28/05/05:[*] removed CVT_S regcaching from iFPU.c. That doesn't seem to work properly :~
			[*] Added MAX_S , MIN_S to reg caching iFPU.c . Not tested but should work
				(shadow)

 * 28/05/05:[+] Added PNOR and impoved a few more MMI opcodes
			[+] Few more opcodes to ix86_sse.c as well
				(shadow)

 * 26/05/05:[+] added emulated hardware cd/dvd sector decryption routines
				(should make the playstation2 logo display correctly now amoung other things)
			[-] fixed cdvdReadKey to get correct args sent to it, also behaves a little differently depending on args
				(loser)

 * 26/05/05:[*] fixed a silly bug in iMMI.c pmaxh,pminh opcodes 
            [*] optimized PCEQB,PCEQH,PCEQW,PCGTB,PCGTH,PCGTW
            [*] few more addes to ix86_sse.c . Linuz seemed to discovered new opcodes :P   
				(shadow)

 * 25/05/05:[+] Few opcodes added in ix86_sse.c .Few of them still needs recheck (shadow- Gabest)
            [*] Added the following SSE,SSE2 opcodes to iMMI.c . 
                paddub,padduh,paddh,pcpyld,pmaxh,pminh,paddsb,paddsh,psubsb,psubsw,paddb,paddw,psubsb,psubsh
                psubb,psubb,psubh,psubw
            [*] More opcodes in SSE2 . PCPYUD,PSRLW,PSRLH,PSRAH,PSRAW,PSLLH ,PSLLW ,PCEQB,PCEQH,PCEQW,PCGTB,PCGTH,PCGTW
				(shadow)

 * 24/05/05:[*] PSXCLK now can be changed at the ini, defaults
				to the right value (36864000) if it's 0 anyways
			[-] Fixed bug at Interpreter.c for sstates
				(linuzappz)

 * 23/05/05:[-] fixed a bug in iMMi.c PADDSD,PSUBSD doesn't exist in ix86 (who added them?)
			[*] Added a new prefix in ix86_SSE opcodes, it is now more clear to understand what each opcode do
				that also helped to find that linuz had added an SSE2 instruction in iFPU.c bad linuz ;P
			[-] PSMAXSW,PSMINSW was writing to a XMM register (the SSE version writes to MMX register) fixed..
			[+] a few more SSE2 instructions needed for iMMI.c added in ix86_sse.c . 
 				Linuz code them properly pls ;)
				(shadow)

 * 23/05/05:[+] Added Devc++ 4.9.9.2 project files for compiling mingw32 with IDE :)
			[-] Added a few missing defines
			[!] still my project file can't make as fast exe as linuz's sse build. can't figure why yet
				the problem should me around Makefile.win :~
				(shadow)

 * 21/05/05:[-] More PS1 compat fixes
			[!] Seems the GPU->GS is done by the PS1DRV, gotta find out more
				(linuzappz)

 * 19/05/05:[+] PS1 games kinda boot now as well ;)
 				(linuzappz)

 * 16/05/05:[-] Misc GUI fixes
 				(linuzappz)

 * 15/05/05:[-] More FPU regcaching stuff
			[!] Finally changed version to 0.9 :D
 				(linuzappz)

 v0.8:
 * 10/05/05:[-] Added some more code for FPU regcaching, still unused
 			[!] Code is closed today until release, only bugfixes now
 				(linuzappz)

 * 08/05/05:[-] More fixes/improvemets to VUrec/iFPU
 				(linuzappz)

 * 07/05/05:[-] COP2 now is recompiled when VUrec is enabled
 				(linuzappz)

 * 05/05/05:[-] Fixed a rather small bug in VIF1 unpack
 			[-] VU random functions are more correct now, thx goes to _Riff_ and saqib
			[-] Sio arranged better for sstates
			[*] Modified "FireWire" syms to "FW"
 				(linuzappz)

 * 04/05/05:[-] Timings in VIF1 should be more accurate now
 			[-] Fixed bug in the elf loading filter
 				(linuzappz)

 * 02/05/05:[*] recommited the old reccop2.c (shadow)

 * 02/05/05:[-] Fixed bug in REF/REFS dma at VIF1/GS MFIFO
 				(saqib)

 * 02/05/05:[*] Cpudialog will disable the checkboxes if the requested features not found
                                                                                        (shadow)

 * 01/05/05:[*] Created a new <<windows>> folder to clean up some stuff in the existing interface
                Folders became better now and included project files only for vcnet2003 so far...
            [*] Moved all patchbrowser source to patchbrowser.c and added language support for it           
            [*] CpuDialog is now At CpuDlg.c . Redone the Dialog a lotta better ;) 
            [*] The remaining console,thread,patches configure are now part of the main menu 
            [*] Organize cpudetection code a bit better. Cpudetection  is now done in winmain.c 
                                                                                 (shadow)
 * 01/05/05:[*] Even more VUrec stuff
			[+] Added some more Stats.c info per frame
			[-] Fixed some MFIFO bugs remaining
 				(linuzappz)

 * 30/04/05:[*] More work on VUrec, flags are somehow implemented, PSHUFD is now
				used to unpack XYZW/IQ stuff and bug fixes as well :)
 				(linuzappz)

 * 29/04/05:[-] Updated VIF0 code as VIF1
 			[-] VIF1 doens't clears str on MFIFO (saqib)
 			[-] Fixed some MFIFO bugs in both GS/VIF1(saqib)
			[*] Cleaned up dma## functions
 				(linuzappz)

 * 28/04/05:[-] end source chain tag seems not to touch tadr
 			[-] Vif1 dmaIrq seems ok, need to test it more tough
 				(linuzappz)

 * 26/04/05:[+] Added BC1 ops at rec
 			[+] Started some optimizations for UNPACK
			[-] Skipping vif mode was still a bit buggy, seems ok now
 				(linuzappz)

 * 25/04/05:[*] VIF1 dma is kinda more asynchonous now
 				(linuzappz)

 * 22/04/05:[+] Added some cache code, not used by default,
 				it's just for testing atm
 				(linuzappz)

 * 21/04/05:[-] Readded SysPrintf for Cd/DvdReads
 			[-] Fixed NReady busy stuff, thx to loser
 				(linuzappz)

 * 19/04/05:[-] More VUrec refixing/work 
 				(linuzappz)

 * 18/04/05:[+] added CDVDreadSubQ, CDVDgetTOC, CDVDctrlTrayOpen, CDVDctrlTrayClose
 				to the cdvd plugin definitions
 			[*] changed CDVDgetType to CDVDgetDiskType
 			[-] fixed NVM (eeprom) access from cdvd stuff
 			[+] added reading of mecha version from an external file
 			[-] fixed raw dvd sector readng for dvd9 discs (otp and ptp)
 			[+] added hw-reg read/write for DecSet register 0x1f40203A
 			[+] made cdSeek change the current cdvd sector
 			[*] incremented cdvd plugin version and brought cdvd plugins in cvs up to date
 				(loser)
			[-] __WIN32__ should not be used over PS2Etypes.h,
				__MSCW32__ or __MINGW32__ must be used there
 				(linuzappz)

 * 16/04/05:[-] xyzw stalls was kinda wrong ;P seems ok now
			[-] Fixed a bit vurecs
 				(linuzappz)

 * 16/04/05:[+] Added GSsetCSR
 				(saqib-linuzappz)

 * 14/04/05:[-] Fixed some small bugs over VUops.c for the regsNum stuff, 
 				thx goes to saqib
 			[-] Really fixed skipping vif this time :P
			[-] Fixed DIV/RSQRT exceptions (saqib-linuzappz)
 				(linuzappz)

 * 13/04/05:[-] Fixed skipping write mode at Vif
 			[-] Fixed unpack overflowing
 				(linuzappz)
 			[-] updated all visual studio project files to have the correct source/lib/includes
 				also removed unused dirs and files. now even 'debug config' will build ok :)
 				(loser)

 * 10/04/05:[-] Fixed stalls for VF regs, xyzw must be handled separatedly
 				(linuzappz)

 * 04/04/05:[-] Kinda reworked VU MAC flags, also fixed RSQRT neg prob, thx to Riff/saqib
			[-] Fixes to VifDma cl/wl stuff
 				(linuzappz)

 * 03/04/05:[*] Modified a bit how branch works on VUs
 				(linuzappz)

 * 02/04/05:[-] Some fixes to VU flags/pipelines
 				(linuzappz)

 * 30/03/05:[*] Cleaned up a bit writes to VIFX regs
 			[-] Fixed a small bug in vif1 stalls
 			[-] Commented readclock win32 code at CDVD.c
			[-] Fixed two small issues with branches in interp
 				(linuzappz)

 * 29/03/05:[*] Added some fixes from LDChen to hConsole/WM_PAINT stuff
 			[*] Modified GetToc stuff in cdvd to support dvds
			[*] cdvdTD uses lsn now
 				(linuzappz)

 * 28/03/05:[+] Added placetopatch == 1, which means patches will be applied every vsync ;)
 				(linuzappz)

 * 27/03/05:[*] Improved cpu detection for Amd's 64 using BrandID. Most of the models should be
                     detected correct now (at least my cpu does ;P)  (shadow)

 * 24/03/05:[-] Fixed ISUBIU :D
			[-] Some fixes to flags, status was fecked, now seems better
			[-] Commented the GS dma IRQ again, seems to cause more probs, will
				fix it later
 				(linuzappz)

 * 21/03/05:[-] Fixed VIFX_CODE reg
			[+] Added previous normal vu fixes to vurec
			[*] Added EFU pipeline to VUmicro, kinda untested
			[-] Hopefully fixed GS dma IRQ
 				(linuzappz)

 * 21/03/05:[-] Fixed cdReadKey function to emulate correctly.  Now games should boot using
 		Execute with non Modded Bios.
 				(auMatt & Loser)

 * 20/03/05:[-] Started reg caching for VUrec ;D
			[*] Rearrenged a bit rec32/64, added a common 'x86' dir
 				(linuzappz)

 * 18/03/05:[-] VU1micro was being executed instead of VU0, bad linuz bad :P
			[-] Fixed VU's JR/JALR/BAL :D
 				(linuzappz)

 * 17/03/05:[-] Cleanup/speedup/fixup from last fixes :P
			[-] VIF0 has no from mode ;)
 				(linuzappz)

 * 16/03/05:[*] Added some more debug info to CDVD
 				(auMatt)
 				
 * 15/03/05:[*] Added an evil vuDouble function to convert from vu float format
				to ieee 754 format ;)
			[-] Reworked MAX/MINI
			[+] Added experimental work for VU pipelines
 				(linuzappz)

 * 14/03/05:[-] Added the pipelines VU1 bug to VU0
 				(linuzappz)

 * 12/03/05:[-] Fixed some pipelines bug within VU1
 				(linuzappz)

 * 10/03/05:[-] Fixed small bug over VIF1 dma FIFO
 				(linuzappz)

 * 08/03/05:[-] Fixed vu flushing over vuExecMicro
 				(linuzappz)

 * 06/03/05:[-] Fixed UNPACK V4_5 with mask
 				(linuzappz)

 * 04/03/05:[-] Small fixes to VUrec
 				(linuzappz)

 * 01/03/05:[+] Added new VS2005 sln and .vcproj to build the 32bit version of
                pcsx2 in VS2005 Beta1 (You have to use different projects to build)
            [*] Changed some of the files to make them compile in VS2005.
            (GoldFinger)
            
 * 23/02/05:[-] Commented hack at VSync
			[+] Added interleave mode for SPR
 				(linuzappz)

 * 20/02/05:[*] Changed IRQ defines to functions
			[-] VIF irq by vifcode seems ok now
			[+] Added offset/difference with mask UNPACK modes in vif
			[-] SPR1 was transfer /4 the size it should have :/
 				(linuzappz)

 * 16/02/05:[-] Fixed some VPU-STAT related issues
			[+] 'sstates' dir is now created at init
 				(linuzappz)

 * 15/02/05:[+] Another DNAS by nachbrenner
 				(linuzappz)

 * 14/02/05:[+] Added offset/difference UNPACK modes in vif
 				(linuzappz)

 * 14/02/05:[*] 64bit rec back to x86-64 better this way
                 [*] Updated vsnet2005beta1 project files to compile with x86-64 dir
                 [*] Added a few pragma warnings disable to a few files to correct some silly vsnet2005beta1
                     warnings  (blah MS deprecated stdio pffff)    (shadow)

 * 10/02/05:[-] Fixed bug in CDVD_findfile
 				(linuzappz)

 * 09/02/05:[*] GSvsync is now called on the vsync start
 				(linuzappz)

 * 08/02/05:[*] QWC is set to 0 after a normal transfer in GS/SPR1/VIF1
				and MADR is increased qwc*16 as well
 				(linuzappz)

 * 07/02/05:[*] Changed a bit the CPU dialog. Now it is better i guess :) . Linuz update the pcsx2.po again pls :D
                 [*] Added a __VCNET2005__ definition cause vcnet2005beta1 doesn't support inline asm..
                     That only effects Cpudetection.c and Gte.c (not much since it has c code instead to use).
                      Cpudetection must be written on ml64 to be useable on vcnet2005.
                 [*] Added prelimary vcnet2005beta1 project files. gettext disabled cause we still doesn't have a 
                      64bit version for it
                 [*] Small fixes around and wholaaa  i produced the first buggy pcsx2_64bit.exe :)         (shadow)

          
 * 07/02/05:[+] Added another DNAS version thx to Nachbrenner
			[-] Fixed SPR0 chain mode
			[-] Fixed intc/dmac interrupts that gets cleared right away
			[-] Cleaned up langs a bit, only spanish works so far now
			[+] Added 1f402007 reg, "BREAK", still not really handled ;P,
				thx to matt 
 				(linuzappz)

 * 31/01/05:[-] Disabled recompile functions recBGEZ() and recBLEZ() from iR3000.c . That will make
                      recompiler not to crash after the players selection screen in Virtua Fighter 4. Thanks 
                      to JayteeMaster for bug tracing it ;)  (shadow)

 * 30/01/05:[-] Fixed some more bugs in IPU, some streams had a few problems, now they are ok.
		Quality of ipu playback also improved(thanks JayteeMaster for pointing it out)
		(asadr aka saqib)

 * 26/01/05;[*] Merged a big part of linuz's amd64 rec to the normal rec (shadow)

 * 25/01/05:[-] Finally fixed IPU. Mpegs and IPU streams run
                so do PSS files.Some fixes to MMI and Interpreter (asadr)

 * 23/01/05:[-] Fixed vurec crash on pcs that doesn't support SSE2 
                 [*] General cleanup on ix86-32 rec. Goldrec removed since no progress has been made
                     lately (shadow)

 * 20/01/05:[+] Added x86-64 rec, still unclean, but i'll leave for holidays this
 				saturday, so ^^
 				(linuzappz)

 * 19/01/05:[-] Fix for end chain mode at vif, still gotta check it
 				(linuzappz)

 * 16/01/05:[-] Lots of fixes to VUmicro, thx to Refraction for pointig out
				some bugs ^^
			[*] Commited ix86 changes for x64
 				(linuzappz)

 * 13/01/05:[-] WriteNVM now takes address in param[1], thx to auMatt
 				(linuzappz)

 * 06/01/05:[-] Fixed long types at VU.h
 			[-] Removed memLUT decl
 			[!] Notice long is 8bytes long in amd64, so we should
				stick to the u32/s32 types instead of using long pls :)
 				(linuzappz)

 * 06/01/05:[-] Fixed SBUS IRQ at iop
 			[-] dmaGetAddr now uses memLUTR
 				(linuzappz)

 * 05/01/05:[*] Changed some stuff for amd64, still more to come
			[+] Added more memRead/Write funcs for speed
			[-] Fixed some iVUmicro bugs
			[-] Fixed QFSRV/MTSAH/MTSAB
 				(linuzappz)

 * 03/01/05:[+] Implemented MFLAG for VU0
			[-] Vsync is now genereted on boths cpus at the same time
 				(linuzappz)

 * 03/01/05:[-] Commented dma irq stuff, fecks some games, gotta recheck that
 				(linuzappz)

 * 22/12/04:[-] Fixed bug in branch address in vus
 				(linuzappz)

 v0.7:
 * 18/12/04:[*] Added GSread8/16/GSwrite8/16, GSgifTransfer1 now has two args,
 				added the addr and pMem points to the VU1 mem
 				(linuzappz)

 * 16/12/04:[*] Pofis improved his Patchbrowser (shadow)

 * 06/12/04:[-] Fixed Langs support for win32
 				(linuzappz)

 * 06/12/04:[*] Added support for 1.90 Bios NVM.
 		(auMatt)
 		
 * 06/12/04:[+] Added Patch Browser for win32 . Made by Pofis  (shadow)

 * 05/12/04:[*] NVM always loads rom %Bios%.NVM
			[*] Cd/Dvd Reads are now again displayed on console,
				that is very helpfull for testing :)
 				(linuzappz)

 * 28/11/04:[-] BC2T/F/TL/FL also check for VU1 to be stopped
			[-] VU1 memory is masked on micro load/store instructions,
				dunno yet about VU0, gotta test ;)
 				(linuzappz)

 * 26/11/04:[-] VU D/T flags are handled now (kindaof :P).
 				(linuzappz)

 * 20/11/04:[-] RTC timezone fixed (gigaherz)

 * 19/11/04:[-] Fixed vu branch negative overflows
 				(linuzappz)

 * 17/11/04:[*] Fixed some stuff in logging so now
                -Memcards sysprintf messages Are now MEMCARDS_LOG define and enable with PAD_LOG 
                -Cdreads Dvdreads are now in CDR_LOG
                -Vus Overflow enable from CPU_LOG 
                That means less logs at runtime and no more complains from nasty betatesters :D (shadow)


 * 17/11/04:[*] fixed linuz bug in naming the memcards different in 2 different places
                Memcards now are Mcd001.ps2 and Mcd002.ps2 in emu and McdDialog (shadow)

 * 16/11/04:[-] Fixed NVM File Load and Creation.  Defaults to BIOS name als now.
 				(auMatt)
 				
 * 15/11/04:[+] Added another DNAS at Misc.c.
 				(nachbrenner)

 * 14/11/04:[-] VU0/1 reset shouldn't reset the micro memory.
			[*] Commented the LT_OpcodePrintTable call on Interpreter.c,
				for speed :)
 				(linuzappz)

 * 12/11/04:[-] Second MCD works fine now.
 				(linuzappz)

 * 11/11/04:[-] Finally fixed SIF1 bug :D:D
 				(linuzappz)

 * 10/11/04:[+] Added MingW32 support ;).
 				(linuzappz)

 * 10/11/04:[-] Fixed NVM loading/reading/writing and also fixed v12 NVM issues.
 				(auMatt)

 * 09/11/04:[+] Added BiosVersion var.
			[*] Sif stuff now gets saved over sstates.
 				(linuzappz)

 * 09/11/04:[-] Fixed bug in ModelID code in CDVD
 				(florin-auMatt)
 				
 * 07/11/04:[-] Fixed bug that caused to interrupt twice before
				handling the first interrupt.
 				(linuzappz)

 * 05/11/04:[-] Small fix for broken elfs.
				(linuzappz)

 * 04/11/04:[-] CDVD was interrupting dma too much :P.
 				(linuzappz)

 * 03/11/04:[*] Added FREEZE_SIZE.
 				(gabest-linuzappz)

 * 03/11/04:[+] Added a couple of DNAS at Misc.c.
 				(nachbrenner)

 * 02/11/04:[+] Added hack for QFC in GS ;).
 				(linuzappz)

 * 01/11/04:[+] Implemented VU0 Interlocks over CFC2/CTC2/QMFC2/QMTC2.
 				(linuzappz)

 * 31/10/04:[-] Fixed v12 bios running.
 				(auMatt)

 * 30/10/04:[-] Fixed v9-v10 bios running.
 				(auMatt)
 		
 * 28/10/04:[-] Really fixed SIF SMFLAG/MSFLAG :P:D
                (linuzappz)

 * 28/10/04:[-] Fixed MCDS :D
                (asadr)

 * 26/10/04:[*] Added rom2/erom support
                (auMatt/linuzappz)
                
 * 23/10/04:[*] Added/Fixed Model Number Reading
                (auMatt/Florin)
                
 * 18/10/04:[-] Fixed SIF SMFLAG/MSFLAG, needs testing tho
                (linuzappz)

 * 06/10/04:[*] More BIOS detection added.(auMatt)
 
 * 04/10/04:[-] Fixed EXL bug
 			[-] Fixed SIF0/1 when fifo got filled up
                (linuzappz)

 * 01/10/04:[-] CdReadConfig/CdWriteConfig now uses NVM ^^
			[!] Bios configurations now gets saved/loaded from NVM (nvm.raw)
                (linuzappz)

 *  1/10/04:[+] Started coding the memcard manager. Far from finish but will be better soon :D 
			[*] Change settings . Default memcard is now a ps2 memcard. (shadow)

 * 30/09/04:[-] Newer bios will now work with pcsx2. Pads fixed, more
                compatibility. (asadr)

 * 27/09/04:[-] VU0/1 Reset hopefull fixed
                (linuzappz)

 * 16/09/04:[*] NVM now is readed/written from nvm.raw.
			[-] ReadILink/GetMecaconVersion are really implemented ^^
                (auMatt-linuzappz)

 * 15/09/04:[*] Rewritten LoadConfig-SaveConfig to use ini instead of registry.
                  [*] Removed DeleteRegistry button. For obvious reasons :D     (shadow)

 * 15/09/04:[-] Pads finally fixed - Fixed PADwin Plugin Required! 
		Updated stuff at PsxSio2.c and Sio.c (Pad Hack still 
		there but won't be used) asadr

 * 13/09/04:[+] Added an option for setting the main thread priority, usefull at work :P
                (linuzappz)

 * 13/09/04:[*] Fixes to SCMD's (auMatt)
 * 02/09/04:[*] Finally commited asadr's IPU changes
			[-] Fixed small bug in memory dump for win32
                (linuzappz)

 * 30/08/04:[*] Added Deci2 Call back into the Interpreter.c for printf.(auMatt)
 
 * 18/08/04:[*] fixed finaly the IOP disasm. Should be correct now...
            [+] for stuff for amd64 porting.notice that pcsx2_2003_amd64 project just check for 64bit
                portability.Can't produce 64bit exe yet.. (shadow)

 * 15/08/04:[-] fixed the IOP-EE disasm problem.(for ppl with vc != 2003 you must include 
                                                 DisR3000asm.c and DismAsm.h in your project files)
            [!] Still have to finish the correct IOP disasm :D
            [+] Added small framework for x86-64. Still nothing that useable :D (shadow)

 * 04/08/04:[-] PadHack now works again :)
			[-] Sio2 now supports states again
                (linuzappz)

 * 02/08/04:[*] F2 will print the selected state on the console
			[*] Added overflow messages for ISW/ILW/ILWR/ISWR
			[*] FBRST should reset the vus when VU0 Reset/VU1 Reset 
			    bits are set, but i don't really know have much it's
				resetted :P
                (linuzappz)

 * 30/07/04:[-] Vif1 MPG lacked a flush
                (linuzappz)

 * 28/06/04:[+] Added GSprintf, GSgetDriverInfo and PADgsDriverInfo
 			[+] Deci2Call 0x10 gets printed ;) 
			[-] Some fixes to CDVD reading
                (linuzappz)

 * 24/06/04:[-] Fixed some bugs over interrupts and
 				exceptions
                (linuzappz)

 * 22/06/04:[-] Couple of bugs fixed over IPU1 dma
 			[-] psHu32(INTC_STAT) changed to INTC_IRQ
                (asadr-linuzappz)

 * 16/06/04:[-] Counters regs are returned in 16 bits
 			[+] Also added them for hwRead16
			[-] Counter only resets when writing to the mode reg
				when the value & 0x3ff differs from the actual mode
 			[-] Fixed BCR interrupting for CDVD ;)
                (linuzappz)

 * 14/06/04:[*] Enabled SSE Vif at i386.asm
 			[*] Added florin's work over mcds, still needs
				a cleanup :)
                (linuzappz)

 * 10/06/04:[*] CSRr is OR'd with 0x8 always over VSyncEnd
                (linuzappz)

 * 08/06/04:[*] VU pointer gets aligned now
                (linuzappz)

 * 07/06/04:[*] vuJALR now uses _Fs_*8
 			[*] VSync now interrupt for INTC_STAT & 0x1
			[!] Based of debugging Aura for Laura :)
                (linuzappz)
                
 * 07/06/04:[*] Detection for Chinese Bios.
                (auMatt)
                
 * 04/06/04:[-] Cleaned a bit VIF1transfer, and now when
				DIRECT/DIRECTHL cmd is misaligned it skips it
			[*] Added USBirqHandler, USB specs v2 now
                (linuzappz)

 * 04/06/04:[-] VU1 regs now are mapped to VU0 mem
                (linuzappz)

 * 02/06/06:[*] finished most of the iops disasm works :P
            [*] increase the firewire reg size . seems there are more regs ;p (shadow)

 * 25/05/04:[-] Fixed big stupid bug in counters ;P
				Now they're accurate
                (linuzappz)

 * 25/05/04:[*] Included new BIOS detection 'P'.  For Free and Public BIOS Images.
                (auMatt)

 * 20/05/04:[*] BCR now decrements for each cdvdReadSector, thx to Roor
                (linuzappz)

 * 18/05/04:[*] Removed PsxBios2.c/h, and cleaned Irx funcs from ElfHeader.c/h
 			[+] Added cpuTestHwInts/cpuTestINTCInts/cpuTestDMACInts
			[+] More work over mcds
			[!] Now cpuBranchTest doesn't checks for irqs
                (linuzappz)

 * 17/05/04:[-] Fixed bug psx counters, thx gold
                (linuzappz)

 * 15/05/04:[+] Added IOP disasm in the debugger...
            [!] Not yet finished and i disasm using R5900disasm atm. I will code it correctly soon (shadow)

 * 12/05/04:[*] More optimizations to the FPU rec
 			[*] BIAS was commented over Counters.c :/ lol
			[-] Disabled EMMS_TRACE, it's buggy, dunno why tho
                (linuzappz)

 * 11/05/04:[*] Now Saving/Loading FPU CW only for the ops that really need it
 			[*] Added some optimizations to jumps over rec
 			[*] Added LQC2/SQC2
                (linuzappz)

  * 08/05/04:[-] Fixed states loading/saving from the menu
                (linuzappz)

  * 03/05/04:[*] Uncommented the sio2 1d100 hack
                (linuzappz)

 *  3/05/04:[+] started reorganize the src. Lotta unneccesary stuff removed(like HLE) and lotta 
                organized. still needs a lot of work to clean but it's a start (shadow)

  * 02/05/04:[+] Added D3/D4 defines at Hw.h
                (linuzappz)

 *  1/05/04:[+] Added a Delete Registry Button. It deletes pcsx2,gssoft settings
                (shadow)

 * 30/04/04:[-] Small bugfix for cpu speed detection, thx to Rainer Aglas
                (linuzappz)

 * 27/04/04:[+] Implemented ReadNVM/WriteNVM, untested though
                (linuzappz)

 * 15/04/04:[-] SPUdma timings changed to 80, thx _Riff_
                (linuzappz)

 * 13/04/04:[*] Several changes for IPU
		[+] IsBIOS now belongs to Misc.c
                (asadr-linuzappz)
		
		[*] Dev9Null/USBLinuz/FireWire Plugins Configure now shows
 		Message.
 		[*] Configure Menu Shows USB and FireWire Options.
 		(auMatt)
 
 * 12/04/04:[-] Fixed SPU2async cycle, was getting reseted wrongly,
 				thx _Riff_
			[+] Added SPU2irqCallback
                (linuzappz)

 * 08/04/04:[-] Unhacked sio2 for 1d100 recv1 mode
                (linuzappz)

 * 07/04/04:[+] FireWire IRQ is implemented ok now
 			[-] Forgot dev9Interrupt over R3000A.c
                (linuzappz)

 * 05/04/04:[+] Added Firewire plugin protocol. (shadow)

 * 02/04/04:[-] VIF-FIFO transfers seems to work better ;) need testing
			[+] Added GSreadFIFO
                (linuzappz)

 * 30/03/04:[*] sstates now use CRC as well :)
			[*] emuLog.txt now goes at 'logs' dir
                (linuzappz)

 * 29/03/04:[*] GSdma now waits qwords transferred cycles
				before clearing CHCR and triggering,
				OPH and APATH are handled as well now.
                (linuzappz)

 * 25/03/04:[*] Some rewritte over Sio.c
                (linuzappz)

 * 24/03/04:[-] ostr size is now 1024 in Dis*.c
 			[!] Finally v0.7 :D
                (linuzappz)

 v0.6:
 * 21/03/04:[-] About dialog was cropping the testers, thx CK :)
                (linuzappz)

 * 19/03/04:[+] Added a PadHack option at the cpu dialog
			[-] Couple of fixes for release
                (linuzappz)

 * 16/03/04:[-] CRC had a bug, now it's ok, sorry :)
 			[-] Fixed bug in memInit, thx gold :)
 			[-] LoadState now loads the tlbs
                (linuzappz)

 * 16/03/04:[-] Fixed another silly bug in loadElfFile ;)
                (linuzappz)

 * 15/03/04:[+] Added texts on the console Title to make patch makers life easier :P (shadow)

 * 15/03/04:[-] Fixed a free in loadElfFile 
                (linuzappz)

 * 14/03/04:[*] loadElfFile now reads the whole file first
			[-] DMA4/7 interrupt timings are more accurate now
                (linuzappz)

 * 12/03/04:[+] Added i386.asm, only used on linux so far,
 				compiles using nasm, it replaces the inline
				assembling for Vif
			[-] Fixed bug in UNPACK for skipping write
                (linuzappz)

 * 11/03/04:[*] Patches names are now using crc,
				instead of ie.:
				Ridge Racer V PAL was SCES_500.00.pnach,
				now it is 5BBC2F40.pnach
				this way games with the same code
				will not get confused
			[-] Fixed bug in disR5900GetUpperSym
                (linuzappz)

 * 10/03/04:[+] Added SQ/LQ over iVUmicro
                (linuzappz)

 * 09/03/04:[-] sio2Reset was missing from psxHwReset
 			[-] Fixed sio pad swaps for 0x1100 mode
                (linuzappz)

 * 08/03/04:[*] Modified the DEV9irq stuff
                (linuzappz)

 * 05/03/04:[-] DEV9irq now issues a SBUS_IRQ
 			[*] malloc memory is now aligned to 16bytes 
                (linuzappz)

 * 02/03/04:[-] Added presaving for MMI ops that needed that
 			[-] vuJR/vuJALR now masks Fs with ~0x7
                (linuzappz)

 * 02/03/04:[+] stats.txt now dumps the Cpu mode
                (linuzappz)

 * 01/03/04:[-] dmaGetAddr now uses memLUT
			[+] Finally added USB plugins ;)
                (linuzappz)

 * 26/02/04:[-] Fixed VUops that didn't have presaving
                (linuzappz)

 * 22/02/04:[+] More ops at DisVUops.h
			[-] VifDma.c is cleaner now, also fixed some 
				stuff for savestates
			[-] Added some remaining vars at cpuBranchTest
				to cpuRegs for savestates
                (linuzappz)

 * 21/02/04:[-] Fixed ITOF0
                (linuzappz)

 * 20/02/04:[-] Fixed savestates ;)
                (linuzappz)

 * 19/02/04:[*] VUflags now should handle overflow/userflow ok
                (linuzappz)

 * 17/02/04:[*] Improved and fixed sio2 stuff
			[-] Fixed _vuMFIR
                (linuzappz)

 * 16/02/04:[-] DIV could crash when divisor == 0.0,
 				as well as ERSADD
                (linuzappz)

 * 13/02/04:[-] Fixed FCAND over VU1ops.c
 			[*] Merged VU1ops/VU0ops/Vops to VUops
			[*] Cleaned up VUflags.c
			[-] hackedRecv now defaults to 0x1100
                (linuzappz)

 * 09/02/04:[-] VifDma.c MPG now clears the VU0/1 Mem though Cpu->ClearVU0/1
                (linuzappz)

 * 09/02/04:[-] More SCMD functions added.  Still require working code for them. :)
                (auMatt) 

 * 06/02/04:[-] More iVUmicro.c opcodes, fixes, and stuff :)
                (linuzappz)

 * 06/02/04:[-] Fixed Bios Detection for HK Bios.
                (auMatt)

 * 06/02/04:[-] Fixed CdRom/CDVD Interrupt for 0x41000200 chcr,
 				now it interrupts after the read ends
                (linuzappz)
 
 * 05/02/04:[+] Added FALSE/TRUE in GRecCommon.h
			[+] Added more 16bit ops to x86.c/h
			[+] Fixed SQD/SQI and implemented IOR/IAND over iVUmicro
			[-] BIAS is now 2 again
			[+] Now only MARK is writable at Hw.c, for vif0/1Regs
                (linuzappz)
 
 * 03/02/04:[-] Fixed FALSE to GREC_FALSE in GRecMain.c
			[-] Added break to F5 ;)
			[-] Commented 'ERL Set' SysPrintf
                (linuzappz)
 
 * 02/02/04:[-] Included stdarg.h in GRecCommon.h
 			[+] Added some scmds to CDVD.c (auMatt) 
			[+] cdvd.Status now changes to CDVD_STATUS_SEEK_COMPLETE,
				after a CdRead CMD
                (linuzappz)
 
 * 16/01/04:[+] Added LQI/LQD/SQI/SQD over Recompiler
 			[-] Updated EE BIAS to 8, need to test this
 			[!] SQI/SQD are diabled still, because they are still buggy
				and i don't have more time... vacations :D:D
                (linuzappz)
 
 * 15/01/04:[+] Added code for dma interrupts, for IPU FDEC, still commented
                (linuzappz)
 
 * 14/01/04:[+] Temporary fix for PADS. F5 now change the pad mode on the fly. if your game doesn't work
                switch it from there. (shadow)

 * 12/01/04:[*] FIFO is now really 128bit as it should be :)
                (linuzappz)

 * 09/01/04:[-] Fixed VU->VI[0] != 0 bug in VU1, VU0, Macromode, JALR, BAL, LQI, LQD, SQI, SQD were setting VU->VI[0].
	       Address in VCALLMS was incorrect, was causing crash in VF4.
	(asadr)

 * 09/01/04:[*] Start to convert VIF stuff to functions instead of macros, right now I just converted
                them duplicating the code for VIF0/1 and it is working but it is not the best yet,
                commiting just so others can debug VIF while I finish the work, did some minor fixes
                on VIF too.
            [*] The only major function needed to be reduced to one is VIF0transfer/VIF1transfer, all
                others are ok (I think).
                (GoldFinger)

 * 09/01/04:[-] Fixed LQC2 for _Fs_ == 0
            [*] Fixed several SIF bugs (NoComp)
                (linuzappz)

 * 06/01/04:[-] Fixed UNPACK modes in VIF.c, the Indeterminate fields are now set to 1 by default.  (asadr)

 * 04/01/04:[-] Fixed a bug in LQD and LQI when _Ft_ was 0.
                (GoldFinger)

 * 04/01/04:[*] Modified the VIFregister structure, both VIFs(0,1) have the exactly same
                structure, just VIF0 does not use some of the registers, so I unified the 
                structures for easy reading and less bugs.
                (GoldFinger)
                
 * 31/12/03:[-] Added USB API at PS2Edefs.h ;)
 			[+] More ops at DisVUops.h
 			[*] UNPACK now flushes the VU micro
                (linuzappz)

 * 30/12/03:[-] Fixed savestates in Misc.c and added fixed VIFdma.h
	             (asadr)

 * 29/12/03:[-] Fixed bug for new vu code in savestates
                (linuzappz)

 * 27/12/03:[-] Fixed bug in my last update for R5900.c
                (linuzappz)

 * 26/12/03:[*] VUflags are now updated when Rd == 0 as well, changed only
				    at VU1ops.c
			   [*] VU1Regs/VU0Regs is now VURegs
			   [!] I think we should merge VU1ops/VU0ops/Vops
                (linuzappz)

 * 24/12/03:[-] Fixed DMA8 for PsxDma.c
 			   [*] LUI is now as it was before asadr's update
			   [*] readded 'if Log' over debugI at Interpreter.c
                (linuzappz)

 * 18/12/03:[*] Restructured VU code and VIF. Fixed stuff in Interpreter 
 				    and added CTC2 VU1 Microinstruction caller. 
 				    (asadr)

 * 18/12/03:[*] Improvements to TLB code.
                (linuzappz)

 * 17/12/03:[-] Fixed iCOP0.h define to __iCOP0__
 			   [+] Added disR5900GetUpperSym
                (linuzappz)

 * 08/12/03:[+] SSE recompile of vus started. Some opcodes works some yet not. 
                Missing flags that i gonna add soon. Gives some speed boost :)
                (shadow)

 * 05/12/03:[-] Fixed bug in GS for CSR stuff
                (linuzappz)

 * 03/12/03:[+] Added Interlock for CFC2/CTC2
			   [-] Fixed CFC2/CTC2/LQC2/SQC2, they now
				    check for zero registers
			   [!] This should fix the 'R0 is not zero' 
				    and the 'VU memory overflow' hopefully ;)
                (linuzappz)

 * 03/12/03:[+] You  now disable vu0 macromode too  when you disable vu recs by the 
                checkbox iR5900.c 
            [-] corrected some more bugg0rs of linuzappz sse instructions ix86_sse.c
            [!] careful linuzappz's code. Don't ever trust him cause he is a lazy bugg0r
                His mind is only for pampita!:) (shadow)

 * 02/12/03:[+] Added UNPCKLPSRtoR and MOVLHPSRtoR, there you go expert :)
                (linuzappz)

 * 01/12/03:[-] Fixed savestates
                (linuzappz)

 * 30/11/03:[+] a few sse instructions in sse.c + a much cleaner code in reccop2.c (shadow)

 * 28/11/03:[-] Recommited old VUops.h with asadr's EATANxy/EATANxz bugfixes
			   [!] asadr, the VUops.h you commited was in html format,
				    and some opcodes you change were only to slow down things,
				    commit other ones that need fixes.
                (linuzappz)

 * 28/11/03:[-] Fixed alot of bugs in VUops.h, hopefully some stuff will now
                work as it should (asadr)

 * 27/11/03:[*] fixed some stuff in recCOP2.c (shadow)

 * 25/11/03:[-] Fixed bug in Vif.c, masks hopefully are ok now ;)
                (linuzappz)

 * 25/11/03:[-] Fixed Interpreter.c ix86.h include
 			   [-] Added to GRecBasic.h a newline at end of file, linux
				    complains else ;P
                (linuzappz)

 * 24/11/03:[+] Added cpu detection in interpeter.c too so now you can use SSE,MMX code in 
                interpreter too without the fear that your pc doesn't support it ;P (shadow)

 * 22/11/03:[+] By Nachbrenner request i added a memory patcher in Debugger.Now you can make patches
                while pcsx2 is running. It is not yet finished as it can only patch 32bit data but 
                all the patches so far are 32bit so no problem ;P (shadow)
            [!] Update Common.h . We are up to pcsx2 0.6 now! :)

 v0.5:
 * 21/11/03:[-] Fixed Vif.c bugs :)
			   [!] Source code closed for release 0.5,
				    only bugfixes con be submitted
                (linuzappz)

 * 21/11/03:[*] Started optimizing vif.c but I find so many strange stuff (problably bugs), please
                linuz, check the comments I added on the vif.c file, and tell me what to do.
                (GoldFinger)

 * 20/11/03:[*] Reorganize the cpu dialog a bit and added a new option. Disable vu recompiler
                with disable the recompile of vu and will save some games from freeze when
                vu memory overflows (quite often) :P . This will be removed when vu problems will
                solve :P (shadow)

 * 19/11/03:[-] Fixed bug in savestates
                (linuzappz)

 * 18/11/03:[*] Removed the old reg caching code including the sources, so now the only rec
                that works is the normal one.
            [*] GoldRec is progressing, I did lots of changes to make the progress better,
                right now nothing works.
                (GoldFinger)
                
 * 14/11/03:[*] Modified GSfreezeData, now it's plugin dependant
            [+] Added SPU2freeze/DEV9freeze
            [-] Fixed bug in inifile_read, hi shadow bugg0r :P
            [-] Fixed bug in Sio2
                (linuzappz)

 * 14/11/03:[*] change pcsx2 patch system to use *.pnach files.Now you need a patches dir in your
                pcsx2. (shadow)
            [!] Am i the only one that write a changelog here?? (shadow)

 * 13/11/03:[-] fixed savestate naming in win32 and linux (shadow)

 * 06/11/03:[+] cleaned up a bit rec vu and enabled vu0 micro (shadow)

 * 06/11/03:[-] Workaround in VifDma.h for FiFo transfer ;)
                (linuzappz)

 * 04/11/03:[*] Changed the way we handle SPR TTE transfers, also
                MFIFO_VIFtransfer transfer always the ptag+2
            [-] Unhacked Sio.c for PADs ;)
            [!] Now you gotta use the PADwinKeyb from PADwin at cvs
                (linuzappz)

 * 03/11/03:[-] Fixed ba8R16 bug in Memory.c
            [*] Enabled VU1 micro recompilation
            [*] dmaGetAddr goes though memLUTR now
                (linuzappz)

 * 02/11/03:[-] Fixed MSUBA had the same problem as MSUB, iFPU.c
                A = A - B * C    !=     A = B * C - A     :)
                (GoldFinger)

 * 01/11/03:[+] Addded cpu speed detection in cpu detection code
            [!] Linuz fix the cpu_detection.c to work with linux pls ;p
            [!] Goldfinger was right.Police 24/7 is okay with MSUB now :)  (shadow)


 * 01/11/03:[-] Fixed MSUB (MADD was ok), iFPU.c
                Expert, please try in Police 24/7... :)
                (GoldFinger)
 
 * 31/10/03:[-] Fixed PCPYLD, MMI.c
                (linuzappz)
 
 * 30/10/03:[-] disable MADD,MSUB from iFPU. that ops was causing bugs in police 24/7. 
                Can't figure why, can someone? (shadow)

 * 29/10/03:[-] Commented D/T flags for VUmicro
                (linuzappz)

 * 28/10/03:[-] Fixed memory rec issue, blah, shadow was right again :P
                (linuzappz)

 * 27/10/03:[-] More fixes to memory stuff, hwregs for 128bit
            [-] Fixed vifNum == 0 for UNPACKs
            [-] DEV9_R_DEV now goes though DEV9read16 :)
            [+] FiFo VIF1 can read data now ;)
            [-] Fixed rec mem limit, shadow was right ;P
            [!] Try Make Your Dream Home now ;)
                (linuzappz)

 * 26/10/03:[-] Fixed Memory stuff, now it works ok :)
                (linuzappz)

 * 25/10/03:[*] Some changes to memory cards. It's not what you all expect:P
		          (Florin)

 * 25/10/03:[*] Improved more the cpudetection routine at the Supporting Instruction sets features
            [-] Improved a bit the MMI and fixed some bugs that prevent PII cpus to work  (shadow)

 * 23/10/03:[-] Fixed a bug in Memory, untested actually ;), should fix
                the loader rec bug
                (linuzappz)

 * 24/10/03:[*] Improved the cpudetection routine in goldrec.Now more info appears :)
                (shadow)

 * 23/10/03:[*] Improved VIF for transfers in parts
            [-] Fixed some bugs in DisVUops.h ;)
            [-] Fixed a bug in Memory, VU1.Mem was twice, thx shadow :D
                (linuzappz)

 * 21/10/03:[-] Scratchpad memory was set bigger that it really is
            [-] Uncommented a few tlb related printfs just in case ;)
                (linuzappz)

 * 20/10/03:[*] Rewritten several Memory.c code, it's very untested, so far
                i only tested bios, so tell me what's broken now :)
                (linuzappz)

 * 18/10/03:[*] Fixed the rec for use with the tlb code, but this is a no go, slow as hell we must
                change the whole tlb stuff, please linuz, lets think better before implementing this.
                (GoldFinger)

 * 14/10/03:[*] Modified the memRead functions, now they're better for tlbs
                misses, but note that they have one more arg, so gold, you'll
                have to update the rec
                (linuzappz)

 * 12/10/03:[*] Removed the new module in cvs called GoldRec. Now GoldRec is a directory under ix86-32.
                (GoldFinger)

 * 10/10/03:[*] Removed the new recompiler from the main project and removed its dependencies, now there
		          is a new module in cvs called GoldRec, you must check it out.
                (GoldFinger)

 * 10/10/03:[*] Improved TLB stuff a lot ;)
                (linuzappz)

 * 07/10/03:[-] Fixed bug for recompiler in psx writes from Memory.c
                (linuzappz)

 * 06/10/03:[*] VU0/1 now uses the VURegs struct
            [+] Added the possibility to load the System.map from ps2linux
            [+] Added TLB exceptions
            [-] Fixed psxM accesses from Memory.c
                (linuzappz)

 * 04/10/03:[*] rewrote the recompiled vu micro startup code and separate it 
            [-] remove the 3dnow code for reccop2 as it created more problems that it actually solved
            [+] qmf2,qmtc2 is now done in SSE too . (shadow)

 * 01/10/03:[+] Handle for the EDI flag at ERET, a guess actually ;)
                (linuzappz)

 * 30/09/03:[*] Reg caching works with bios and almost everything as normal rec does, need to
                check better what does not work.
            [*] Splitted iR5900.c into several .c files for easy navigation and for sanity
                purposes as iR5900.c was HUGE.
            [-] Fix LOTS of reg caching bugs, the main one was the comparission of 64bits registers.
                (GoldFinger)
            
 * 30/09/03:[*] Added a base interrupt delay for the dma7 (spu2)
            [*] More improvements to VifDma.h
                (linuzappz)

 * 29/09/03:[-] Reimplemented Interrupt latency over R5900.c
    			[-] Fixed load/store unsigned addr to signed one over VUops.h
                (linuzappz)

 * 28/09/03:[-] Fixed dmaIrq's for Source Chain mode
                (linuzappz)

 * 26/09/03:[-] Fix the speed optimization problem that was in softCall function in Bios.c,
                added a #pragma to disable optimization just to that function and everything
                is working again as it should (linuz, please check if this pragma will interfere
                with linux)
            [*] The win32 project is back like before, the new Recompiler project was removed and
                everything is working.
                (GoldFinger)
                
 * 26/09/03:[+] Added two keys (F11, F12) for Opening/Closing the CDVD tray,
 				    only for linux so far.
                (linuzappz)

 * 25/09/03:[*] Sio2 fixes. Now the mcs are 'seen' as PS2 cards but unformated(able:P)
					 (Florin)

 * 25/09/03:[*] Modified the project structure under win32, I separated the recompiler from
                the main project into a static lib, so now I can work with two projects instead
                of one and enable optimizations. Now register caching works much better as I 
                enable speed optimizations in the Recompiler project but had to disable it in
                the main project, the real problem is the global optimizations, this way I am 
                proving that the problem is not on my code... :)
            [-] Fix lots of reg caching bugs and commented some of the reg caching instructions
                that are buggy. Lots of demos work now, P51, colors, colors15 and maybe some others.
                (GoldFinger)
                
 * 23/09/03:[-] Changed the MessageBox in recFunctions.c to SysMessage
            [+] FIFO for VIF0/1 now works :)
                (linuzappz)

 * 23/09/03:[*] Splitted the bios files so the code is the .c files and not on the .h files
            [-] Fixed several bugs in reg caching and improved the routines
            [!] Visual Studio .NET (dont know the others) speed optimizations are
                messing with the code so it is recommended to build release mode
                without Speed optimizations
                (GoldFinger)

 * 23/09/03:[-] Commented the Syms in BiosInit.h, since they are only
 				    for scph10000
            [-] Fixed ret DMA op
            [+] Added iVUmicro, for recompiler
                (linuzappz)

 * 22/09/03:[*] Added ExecuteVU0/VU1Block in R5900cpu, R5900.c
            [+] Destination Chain for SPR0 dma and added Vif masking
            [!] Gold, please merge the beta changes i sent you for
                the iVUmicro.c/h
                (linuzappz)

 * 20/09/03:[*] Now pad2 works in lle mode [tested with bios browser]
            [+] New SCMDs and MC commands
            [-] Fixes in sio, sio2, cdvd, etc.
            [!] Now mcs appear as not inserted, but they are wip:P
		          SecrCardAuth() works fine;)		
		          (Florin)

 * 19/09/03:[-] Small bugfix in Hw.h, u32 qwc -> u16 qwc; u16 pad;
            [+] Small hack in Memory.c for ba000006
                (linuzappz)

 * 17/09/03:[-] Corrected a unpack bug i forgot ;)
            [+] Implemented mskpath3 / m3r flags
            [-] Fixed rom1.bin lookup for linux
                (linuzappz)

 * 16/09/03:[-] Linuz fixed the macro bug hanging Visual Studio
                (Gold-linuz)
                
 * 16/09/03:[-] More bugfixes/additions to Vif/VUs
                (linuzappz)

 * 15/09/03:[-] Fixes lots of bugs in Reg Caching, now other demos work.
                (GoldFinger)
 
 * 13/09/03:[-] Some fixes to the subq in cdvd.c   (Florin)

 * 13/09/03:[-] Fixed the reg caching bug in tut1.
            [*] Changed the DEFINE for reg caching for the config expert put on the CPU
                screen, now we have both way to test. Thanks Expert.
                (GoldFinger)
                
 * 13/09/03:[+] Added an option for enable regcaching or not.Now goldfinger should make
                support for that!! (shadow)
                
 * 12/09/03:[-] Fixed the normal rec bug
            [+] Added lots of new instructions for reg caching now all tutorials work 
                (demo 1 is strange), 3stars work also.
                (GoldFinger)
 
 * 12/09/03:[-] Small bugfixes to Vif/VUs
                (linuzappz)

 * 10/09/03:[*] More work on ipu (Florin)

 * 10/09/03:[-] New recompiler code wasn't compiling over linux, now it's ok
            [-] Fixed VU memory64 writes masks
            [+] Added Stats.c/h, it will create a stats.txt with some stats info,
                if you define a NOSTATS in Common.h that will not be used
                (linuzappz)

 * 09/09/03:[*] Improved the filter of ELF loading in GUI
            [*] Register caching started to work, tutorial demo2a is working, others are coming.
            [*] Commied ix86.c again with previous fix as linuz removed it.
                (GoldFinger)
                
 * 09/09/03:[-] Fixed __int64 to u64 in Misc.c
            [-] Fixed small bug in Vif.h
            [-] Fixed bug in GS.c, bios is ok now
            [+] Implemented INTC_STAT/MASK and DMAC_STAT for 64bits
            [!] I commited the last ix86.c/h, afaik you only
                reformatted it gold, please don't reformat my
                code
                (linuzappz)

 * 09/09/03:[-] Disabled host support for bios as it is buggy.
            [*] Added/fixed SCMDs (2,3,1A) in cdvd.c  (Florin)

 * 08/09/03:[+] Vif0/1 regs are now mapped to hardware
                (linuzappz)

 * 08/09/03:[-] fixed bug in cpu ops debugger. Now all opcodes should appear .(For you goldfinger!)
                (shadow)

 * 07/09/03:[+] Completed phase 1/2 of adding host support for bios. (Florin)

 * 06/09/03:[-] Fixed bug in rec when using ezmpeg    
 * 06/09/03:[*] Re-structuring the whole recompiler to make it easier for
                debug and for the sake of understanding
                (GoldFinger)

 * 06/09/03:[*] Many things fixed/changed in ipu files      (Florin)

 * 05/09/03:[+] Hot keys for savestates in win32
                F1 -> savestate
                F2 -> change the slot
                F3 -> loadstate
            [+] checkbox for enable the patches in cpu dialog
                (shadow)

 * 05/09/03:[+] Some more VUmicro debugging
                (linuzappz)

 * 05/09/03:[+] Added VDEC & BDEC; now m2v files work but ipu files do not
                (Florin)

 * 05/09/03:[-] bug fixed in ifpu.h (shadow)

 * 04/09/03:[+] Added Init of Plugins before Loading of
                savestates.
            [-] LoadOthers in WinMain.c had a plugin init 
                missing fixed that.
            [!] Fixed GSsoft aswell. And increased vRam size from 4*1024*1024
                to 2*4*1024*1024 as OpenGL doesn't handle wrapping around in 
                memory.
                (asadr)

 * 04/09/03:[+] HSync stuff, and better CSR/IMR handling
            [+] Few more FPU insts in ix86.c/h
            [!] Please tell me if something is now screwed :)
                (linuzappz)

 * 04/09/03:[-] ipu fixes to dmas and vdec         (Florin)

 * 02/09/03:[-] fixed the patch system
                (goldfinger)

 * 02/09/03:[*] working savestates in win32 :)
                (shadow)

 * 01/09/03:[*] Working savestates for linux :)
                (linuzappz)

 * 02/09/03:[-] Bug fixes in IPU.c (still hacky when returning BP)
                Now ezmpeg gets to VDEC;)          (Florin)

 * 01/09/03:[-] Fixed old bug in Sio.c/CdRom.c
                (linuzappz)

 * 30/08/03:[+] sceCdReadSubQ <- that is a bad name; it look more like
                a gettoc entry (SCMD2)    (Florin)

 * 29/08/03:[+] Started the register caching implementation, not ready to test yet
                some new x86 opcodes to x86.c and .h iR5900.c is completely changed
                a new define for iR5900.c is used to enable reg caching.
                (GoldFinger)
                
 * 29/08/03:[-] Removed 3DNOW code is the FPU since 3DNOW is 64bits,
                and FPU is 32bits
            [+] Workaround in ElfHeader.c for pukklink, so it will
                load ok with Run Cd
            [+] Savestates :D
            [-] Maybe fixed patches, blah :P
                (linuzappz)

 * 27/08/03:[+] CdGetToc + CdReadSubQ
            [*] Changed PS2Edefs specs 0.4.3 / CDVD v3
            [*] Changed back the CDVDgetTD function to have a 2nd param: cdvdTD
                (Florin)

 * 26/08/03:[-] Fixed patching bug in BiosInit.h that was used only for scph10000
                (Florin)

 * 26/08/03:[*] SPR address in DMAs are now masked with 0x0fffffff
                (linuzappz)

 * 25/08/03:[-] Fixed patch stuff
                (shadow-linuzappz)

 * 25/08/03:[-] Fixed IDEC bitstream decoding. Now, all *.ipu files
                should work fine (Florin)

 * 25/08/03:[-] Fixed VIF Transfers to include MARK reg in VIF0 aswell.
                (asadr)

 * 22/08/03:[*] Changed the SSE opcodes to Macro mode (thanks Linuz) and linuz added some more
                (GoldFinger)

 * 22/08/03:[-] Changed DEV9 stuff to use DEV9 plugins
                (linuzappz)

 * 21/08/03:[+] Added SSE instructions ADDPSRtoR, ADDPSMtoR, SUBPSRtoR, SUBPSMtoR, MULPSRtoR, 
                MULPSMtoR, MINPSRtoR, MINPSMtoR, MAXPSRtoR, MAXPSMtoR, SQRTPSRtoR, SQRTPSMtoR, 
                RSQRTPSRtoR, RSQRTPSMtoR, RCPPSRtoR, RCPPSMtoR, CVTPS2PIRtoR, CVTPS2PIMtoR, 
                CVTPIPS2RtoR, CVTPIPS2MtoR, CMPEQPSRtoR, CMPEQPSMtoR, CMPLTPSRtoR, 
                CMPLTPSMtoR, CMPLEPSRtoR, CMPLEPSMtoR to ix86.c ( need to compile and check ) :P
                (GoldFinger)

 * 21/08/03:[+] Added Patch.c
                (shadow-linuzappz)

 * 19/08/03:[+] Fixed bug in PsxHw.h, thanks to psycho_tr
                (linuzappz)

 * 15/08/03:[+] More to SMAP
                (linuzappz)

 * 14/08/03:[-] Fixed Debugger/RDebugger
            [!] There is still one bug left i saw in the RDebugger,
                that's the threads are not ended ok, but i'll leave
                that to you florin :)
                (linuzappz)

 * 12/08/03:[*] Changed the time in CDVD.c and some WIN32 defines to __WIN32__
                (Florin)

 * 08/08/03:[+] Started SMAP/DEV9 stuff
                (linuzappz)

 * 06/08/03:[-] Fixed MFIFO for GS dma
                (linuzappz)

 v0.41:
 * 05/08/03:[-] Uncommented some sif WIP stuff :)
            [*] Addeded 0x00100008 PC for cpuExecuteBios as well
            [-] Fixed silly bug in CDVD.c for DvdReads
                (linuzappz)

 v0.4:
 * 29/07/03:[-] Fixed bug in Sif code ;)
                (linuzappz)

 * 26/07/03:[-] Fixed the dma memory checking for the scratchpad,
                and implemented it over the remaining dmas
                (linuzappz)

 * 25/07/03:[-] GSdma now ends when a transfer is outside the memory
            [-] Bugfix to Sif1 dma
            [-] Some changes in the ICFG write code, and 
                when D5_CHCR == 0, psxSu32(0x30) = 0x40000;
                (linuzappz)

 * 22/07/03:[-] Counters fixes/improvements
            [*] Improvements on CdRead/DvdRead
            [*] Better Sif1/0 handling
                (linuzappz)

 * 22/07/03:[+] New PS2Edefs 0.4.0 :)
                (linuzappz)

 * 20/07/03:[-] DvdRead was really 2064 :P
                (linuzappz)

 * 19/07/03:[-] Fixed BIG stupid bug in FiFo.c that i left there:P
            [!] I'm ashamed:(
            [*] Fixed getBits function with back buffer;)
            [!] I'm proud of that B-)          (Florin)

 * 18/07/03:[-] Fixed includes for Mpeg.c/yuv2rgb.c
            [-] Modified DvdRead, uses 2048 blocksize, experimental ;)
            [-] CDVDgetTD had to return s32, not u32
            [*] Some reorganization for the rec
                (linuzappz)

 * 18/07/03:[-] Fixed some memory allocation bug in IPU.c
                [i think there are more, searching...:P] (Florin)

 * 17/07/03:[-] Fixed another Sio bug ;)
            [-] Fixed MULT1/MULTU1, s64 was really s32
            [-] Commented out the interrupt delay thingy ;), was causing
                troubles with Kengo 2
            [+] Implemented DvdRead
                (linuzappz)

 * 17/07/03:[-] Fixed bug in FiFo.c that caused flickering between movies
            [*] Fixed color conversion (Florin)

 * 16/07/03:[-] Now we can boot games though bios :)
            [-] Fixed 32bits shifts in Interpreter.c
                (linuzappz)

 * 16/07/03:[*] Fixed (somehow:P) IDEC so that .ipu files works a bit (Florin)

 * 15/07/03:[*] Changed cdvdLoc stuff to lsn
            [-] PsxDma10 now will just return if bcr < 4
            [-] Corrections to IPU1/0 dma transfers, untested but should be fine ;)
            [!] Breaks compat with current cdvd plugs
                (linuzappz)

 * 15/07/03:[+] CSC + PACK ipu commands Fixes to bitstream decoding (Florin)

 * 14/07/03:[-] Really implemented MFIFO now ;P
            [!] mfifo.elf works just fine now, also tekkentag reaches a bit further
                (linuzappz)

 * 14/07/03:[+] Some more work on IntraDECoding for IPU (florin)

 * 14/07/03:[-] Some cleaning over Sif.c
            [+] MFIFO implemented in both GS/VIF
            [-] Fixes to xpadman
                (linuzappz)

 * 13/07/03:[*] VUmicro code now can run in "async mode"
            [-] Fixed TTE in SPR1 dma
                (linuzappz)

 * 10/07/03:[-] Fixed bug in R5900.c when HLE mode was on
            [-] fileio ain't crashing anymore when the file is not there
            [-] Fixed interrupts on VifDma.h
                (linuzappz)

 * 09/07/03:[-] Fixed bug in GS dma transfers when TTE is enabled.
                Was passing wrong size of qword now it is GSgifTransfer3(ptag+2, 4)

 * 08/07/03:[*] In Win32 cdvdReadRTC gets correct time. (Florin)

 * 08/07/03:[-] Fixed stupid bug in SPR1 dma, thanks florin :)
                (linuzappz)

 * 07/07/03:[-] Fixed bug in Vif UNPACK cmd, tops was *16 ;)
            [*] GSgifTransfer/2 => GSgifTransfer1/2/3 (PATH1/2/3)
            [*] Updated GS.c with VifDma.h asadr changes, commented the TTE
                transfer by now
            [*] Updated as well the SPR1 dma
            [!] Note that now all vu1 demos work :D
                (linuzappz)

 * 06/07/03:[+] Implemented cdvdReadKey
                (linuzappz)

 * 05/07/03:[+] VCALLMS/VCALLMSR now are implemented
            [*] SPU dma4 now has a delay base of 0x10000
            [-] VifDma.h is now mostly as before asadr rewrote it
                last time, since that way had problems with the TTE chcr
                flag, now go check the bios Browser ;)
                (linuzappz)

 * 04/07/03:[-] IOP won't die now after cpuRegs.cycle overflows :), R5900.c
                (linuzappz)

 * 03/07/03:[-] Fixed WriteRTC and bug in Sio.c
                (linuzappz)

 * 03/07/03:[+] Some IPU commands (BCLR,FDEC,SETIQ,SETVQ,SETTH) & IPU fifo
                (Florin)

 * 02/07/03:[-] Cleaned a bit VifDma.h
            [*] Modified the DmaExec macros, now the Dmas take care
                to interrupt and to clear the STR bit
                (linuzappz)

 * 30/06/03:[*] Usb hack ;), PsxHw.c
                (linuzappz)

 * 29/06/03:[*] Modified Iop DMAs for async processing, only for spu/spu2 by now
            [-] Vif dma refe/end now sets the tadr to 0, tek4 loops else, but
                now is crashing after ;)
            [!] sven shows one screen now, and others want to ;)
                (linuzappz)

 * 29/06/03:[-] Removed the experimental code i added yesterday from CDVD.c/h
            [*] Improved EE/IOP Rcnts
                (linuzappz)

 * 28/06/03:[*] More on iop rcnts rewrite 
            [+] Experimental code in CdRead, now if the lsn sector is
                the same than the last one readed it will add nSectors
                to it, ie. it readed 2 sectors from 0:2:16; and then
                it issues another cdread with the same lsn, it will read
                from 0:2:18.
                (linuzappz)

 * 27/06/03:[*] Started iop rcnts rewrite, untested and more to come ;) (linuzappz)

 * 27/06/03:[-] Some fixes on iop rcnts 
            [+] Implemented the SPU2async func
                (linuzappz)

 * 26/06/03:[-] Really fixed HLE mode ;). (linuzappz)

 * 26/06/03:[-] Small CDVD.c corrections. (linuzappz)

 * 24/06/03:[*] Fixed elf loader at least not to crash at bad elfs. (Florin)

 * 23/06/03:[*] Added "rom1.bin" as a valid file for rom1 filesystem. (Florin)

 * 23/06/03:[-] Small fix to CDVD.c, maybe fixed a time out problem
                with some cdvdman versions.
                (linuzappz)

 * 20/06/03:[+] Some mcds work, PsxSio2.c, Sio.c
                (linuzappz)

 * 17/06/03:[+] SPU dmas now call the correct funcs, PsxDma.c
                (linuzappz)

 * 17/06/03:[-] Fixed Sio2, PADs are working :D, Sio.c, PsxSio2.c
            [-] Fixed language in CDVD.c, now's english again :)
                (linuzappz)

 * 16/06/03:[-] Better error handling over CDVD.c
            [+] ROM1 stuff, Memory.c/h, PsxMem.c, iR3000A.c, iR5900.c
            [!] PCSX2 now detects the rom1 in this way: ie.
                you use scph10000.bin, then you must have
                in the same dir scph10000.bin.rom1 or scph10000.rom1
                (linuzappz)

 * 16/06/03:[-] Rewrote the VIFtransfer and VIFdma again. Better speed and
                compatibility this time (asadr).

 * 16/06/03:[*] Reoverwritten CDVD.c/h with my CDVD.c/h, 
                this is simpler, more direct and faster,
                CdRom.c, PsxHw.c, R3000A.c, PsxCounters.c,
                Memory.c
            [-] Kinda workaround i think in the ICFG reg
                (1450), PsxHw.c
            [-] Removed VSyncHack at least ;), WinMain.c,
                Common.h, ini.c
            [!] Games start showing something :D:D
                (linuzappz)

 * 15/06/03:[+] More dummy cdvd scmd (Florin)

 * 14/06/03:[-] Fixed SIF0 transfers, PsxDma.c, PsxHw.c/h.
            [*] Cleaned up SIF1, R3000A.c, Sif.c
            [+] Added a Run CD menuitem, WinMain.c, resource.h
            [!] Bios shows something :D:D
                (linuzappz)

 * 12/06/03:[-] Fixed bug in release version (unsafe compiler optimizations:P)
                (Florin)

 * 11/06/03:[+] More functions on lle cdrom (cdread) (Florin)

 * 10/06/03:[+] Rudely overwritten linuzappz work in CDVD.c/.h
            [!] Sorry man, i think i did the best...i created a framework
                with names and so on. Also we have to talk about;) (Florin)

 * 10/06/03:[+] Started CDVD.c/h, moved old CDVD.h to CDVDlib.h,
                PsxMem.c, PsxCommon.h (linuzappz)

 * 10/06/03:[*] Added new SPU2 dma functions plugin.c
            [*] New PS2 plugins specifications 0.3.2 (shadow)
            
 * 09/06/03:[+] Add SPU2read/SPU2write to PsxMem.c
            [-] Few fixes to PsxCounters.c
            [+] Added PsxDma7, PsxHw.c, PsxDma.c (linuzappz)

 * 09/06/03:[-] Sif0 chaining fix (Florin)

 * 08/06/03:[+] Started with SIO2... (Florin)

 * 07/06/03:[-] Fixes to SIF0/SIF1 :D
            [!] Now OSDSYS loads ok, and so does several modules in iop,
                bios now gets stuck in a Deci2Call (reqsend)
                (linuzappz)

 * 07/06/03:[-] Fixes0, Fixes1 (Florin;)

 * 06/06/03:[*] Fixed and improved the VIF Dma transfers and rewrote the VIF_Transfer. It's far
                more compatible and fast ( all vu1 demos work:D ). (asadr)

 * 06/06/03:[*] Fixed sif1 (...waiting for a better solution;) (Florin)

 * 05/06/03:[-] Sif1 flags fixes (still buggy?) (Florin)

 * 04/06/03:[*] Some adjustments to PsxInterpreter.c (Florin)

 * 03/06/03:[-] Set the PSXCLK to 36.864 Mhz, by now, later PSXCLK should be 
                a variable, Common.h
            [*] Improved iop hw maps, added DMA9/10, PsxDma.c/h, R3000A.c, PsxMem.c
            [+] Added RCNT3/4/5 in PsxCounters.c/h, PsxBios.c, PsxHw.c/h
            [+] Added a bit more of loggin in PsxInterpreter.c
            [-] 0xba000006 now returns 1, for some bioses, Memory.c
            [*] Improved dmaSIF1, SIF.c, and cleaned dmaSPR1, SPR.c
            [!] Finally my name is on the v0.4 :P
                (linuzappz)

 * 03/06/03:[-] Fixed GetPS2ElfName in Misc.c (Florin)
 
 * 22/05/03:[+] new flags code based in nsx2 flag code. vuflags.c vuflags.h 
            [*] vuops.h rewrote almost all the vu opcodes with new flags code Upper Instructions
                should be okay but might still are some issues with the Lower instructions.
            [-] added proper reset in vu1micro.c 
            [*] added the new vcnet files for compile properly with vuflags  
               (shadow)

 * 21/05/03:[-] Fully fixed of recSQ in iR5900.c. 
            [-] Fixed EMMS_TRACING on none 3DNOW machines, EMMS_TRACING now turned on again.
            [*] Added CPU autodetection to iR5900.c
            [!] #define CPU_3DNOW is not used now.
                (Alexey Silinov)
                
 * 20/05/03:[-] Dummy fix of recSQ in iR5900.c. Recompiler back to work again.
                (Alexey Silinov)
                  
 * 10/05/03:[*] Improved fpu.c, just code optimizing in cvt_s, cvt_w, all branches opcodes and
                some code organizing. 
                (GoldFinger)
                
 * 02/05/03:[+] Added some ioprps to Misc.c (Florin)

 * 02/05/03:[+] Some more work on Padman module 800100Xpadman.c , 800100Xpadman.h (shadow)

 * 30/04/03:[+] Added 2 more syscalls in BiosSysc.h (Florin)

 * 29/04/03:[+] More threads functions. (see threads.txt)
            [!] To see threads switching, comment the 3 instructions
                at the top of _ThreadHandler function (Bios.c)
               (Florin)
               
 v0.3:
 * 01/05/03:[-] Fixed dvd iso issue (roundup of numsectors ...+2047/2048)
                in CDVDiso.c    (Florin)

 * 30/04/03:[-] Fixed bug in CFC1, Fpu.c
            [-] Fixed branches isns on VUops.h, US was instead of SS
            [-] Added newline at oef for MMI.c, *mtapman.c 
            [-] Included <string.h> in *loadfile.c
            [*] Few changes over languages, Misc.c/h, WinMain.c
                (linuzappz)

 * 29/04/03:[-] Added a workaround for the interrupt latency in the rec,
                R5900.c
                (linuzappz)

 * 28/04/03:[-] Fixed a bug in BiosInit.h, instead of 16 dmas there was 15
            [-] Counters 0,1,2 had interruption disabled, Counters.c
                (linuzappz)

 * 27/04/03 [-] WinMain.c now only calls GetPS2Elf if on HLE mode
            [-] parseCommandLine had a bug when not using HLE, ElfHeader.c
            [*] Implemented memRead/Write128, Memory.c/h, iR5900.c
            [*] Implemented a better way to count opcodes in iR5900.c
            [*] Rewrote AddIntc/DmacHandler, RemoveIntc/DmacHandler, Bios*
                (linuzappz)

 * 24/04/03:[*] More threads functions. (see threads.txt) (Florin)


 * 23/04/03 [-] Undo the "VU0/1 control/integer regs are now the same" update,
                VU*, DebugReg.c, (goldfinger-linuzappz)
            [+] Implemented latency interrupt thingy ;), R5900.c/h
                (linuzappz)

 * 21/04/03 [-] DMAC interrupt wasn't setting the cause in a0, Bios.c
            [+] DMACTable is now being used with DefaultDmacHandler, Bios.c/h,
                BiosInit.h, HLE.c
            [+] Added dummy handles for mtapman901/3, Rpc_services.h, *mtapman*
            [*] VIF0 code is now shared with VIF1 code, Vif.c, VifDma.h
                (linuzappz)

 * 23/04/03:[*] Fixed RFU061_InitHeap, EndOfHeap, CreateThread, InitThreads
                (Florin)

 * 21/04/03:[+] Started threads update (Bios.c/BiosInit.h/BiosSync.h/
                deci2_dbgp.c/ElfHeader.c/.h) (Florin)
            [-] Fixed fifos a bit:) (FiFo.c/Hw.h)  (Florin)
            [*] Fixed VIF1 regs display in Hw.c. I know that those were handeled
                but now is more clear (Asad-Florin)

 * 20/04/03:[-] Fixed a bug in WinMain.c. In case of the debuggers with HLE bios,
                cpuExecuteBios() was not called, so the tlbs and all stuff
                were not inited properly. (Florin)

 * 20/04/03:[-] Fixed a bug in VUmicro.h
            [+] VIF1dma now handles 'from Memory' transfers, Vif.c
            [-] F11 now un/sets Log, F12 un/sets symbol logging, WinMain.c
                 (linuzappz)

 * 19/04/03:[-] Fixed a bug in Interpreter.c
            [-] VU0/1 control/integer regs are now the same, VU*, DebugReg.c
            [*] Cleaned a bit GS.c
                (linuzappz)

 * 17/04/03:[-] gsRead32 wasn't calling GSread32, lol :), GS.c
            [+] Implemented more syscalls, as dummy for now, Bios.c/h, BiosSysc.h,
                HLE.c
            [*] Removed the CSR revision/intelace bits over GS.c
            [+] Added GSirqCallback to PS2Edefs.h, GS.c, Plugins.c
            [+] VIF1 cmd now handles the i bit, still not 100% correct, Vif.c
            [-] Fixed several VIF1 bugs, Vif.c
                (linuzappz)

 * 16/04/03:[*] biosInit is now called at hle_bootstrap, Bios.c, HLE.c, WinMain.c
            [+] Added _TlbInit at biosInit, Bios.c
            [*] Deci2Call is now better coded, Bios.c, BiosSysc.h
            [-] Fixed some bugs over AddIntcHandler/AddDmacHandler, BiosSysc.h
            [+] bios_SetSYSCALL is now implemented, BiosSysc.h
                (linuzappz)

 * 17/04/03:[+] Breakpoint support for debugging bios. (Florin)

 * 16/04/03:[-] Readded an update that linuzappz missed in his src,
                that was then used by many pcsx2 team members. [it is about my 16/03/2003's]
            [+] sceCdReadIOPm in 80000595.c
                (Florin)
                
 * 14/04/03:[*] Memory access bug in deci2 that made pcsx2 to crash. hi linuzappz
            [+] MC functions fixes/dummies over 80000400mcserv.c
                (Florin)

 * 12/04/03:[*] CP0Count now adds 2 every opcode, instead of 4
                (linuzappz)

 * 12/04/03:[-] Bios VSyncSetFlag is now fixed ok, Bios.c
            [*] Started to implement new Bios code, Bios.c/h, BiosInit.h
                BiosSysc.h, EEregs.h, HLE.c, R5900.c/h
            [!] Please tell me if this update creates some incompatibility,
                or something else works now, since the INTC/Exceptions code is
                much better now :).
                (linuzappz)

 * 08/04/03:[-] DMAC_STAT CIS? bits are now set after a DmaExec, Hw.c
            [-] Fixed bug when a plugin returned -1, WinMain.c
            [*] Cleaned a bit GSdma, GS.c
            [-] Fixed bug in INTC interrupts, Bios.c
                (linuzappz)

 * 07/04/03:[+] Added cpu opcodes debugger. Use the CPU ops button in the debugger
                and it will create a cpuops.txt with the opcodes that used.
                Debugger.c pcsx2.rc, cpuopdebug.c cpuopdebug.h . Now works only in 
                interpreter. (shadow)

 * 04/04/03:[+] Added LabelGreets/LabelAuthors to Misc.c/h, AboutDlg.c
            [*] Languages code over pcsx2 is a bit better, WinMain.c
            [+] Added Log to STDOUT over Logging dialog, pcsx2.rc, 
                Misc.c, resource.h
            [+] Now we're emulating the VSync Start and the VSync End, Counters.c
                (linuzappz)

 * 26/03/03:[*] Optimized PLZCW in mmi.c (GoldFinger)
            [-] fixed MADD1 and MADDU1 in mmi.c (GoldFinger)
            [-] PSLLH, PSRLH and PSRAH (sa needed to be the first 4 bits only), 
                mmi.c (GoldFinger)
            [-] PADDSW, the manual seems to be wrong (well it is) so I tryed 
                to fix it, mmi.c (GoldFinger)
            [-] PADDSB, PSUBSB, the comparision was wrong, mmi.c (GoldFinger)
            [-] PADDSW, PSUBSW, PADDSH, PSUBSH, PADDSB, PSUBSB, PADDUW, PSUBUW, PADDUH,
                PSUBUH, PADDUB, PSUBUB, the sum and sub need a conversion to the higher 
                value(s16,s32 and s64), mmi.c (GoldFinger)
            [-] PMINH, the comparision needs to be signed, mmi.c (GoldFinger)
            [-] PHMSBH, was wrong, fixed, mmi.c (GoldFinger)
            [-] PEXEH, PREVH, was using _Rs_ when only _Rt_ should be, mmi.c (GoldFinger)
 
 * 26/03/03:[*] fixed fpu bugs. Hi linuzappz :) . Tmip is correct in interpreter mode finally
                fpu.c (shadow)

 * 24/03/03:[+] Fixed Trap instructions, hi shadow :), also cleaned
                up a bit the Interpreter.c (linuzappz)

 * 22/03/03:[+] Fixed the 'Load ELF File' issue, added the Memory Dump menu,
                WinMain.c (Florin-linuzappz)
            [!] I forgot the changelog entry in the last update, 
                please read it (linuzappz)
            [!] I've updated again the pcsx2.po, florin sent one without the
                linux port messages since i've never updated u the linux port ;)

 * 20/03/03:[+] Added GSsetWindowInfo, WinMain.c, PS2Edefs.h, Plugins.c
            [+] Added MiltuLingual support, using gettext, WinMain.c, Plugins.c,
                AboutDlg.c, ConfigDlg.c, pcsx2.rc, Memory.c, iR5900.c, iR3000A.c,
                pcsx2.dsp, Sio.c, R5900.c, PsxMem.c, Hw.c, Common.h, ini.c,
                resource.h, Win32.h
            [-] Fixed IPU.c when IPU_LOG is not defined
            [-] Fixed padman/loadfile.c when RPC_LOG is not defined
            [*] Removed dummy memory area, Memory.c/h, PsxMem.c/h
                (linuzappz)

 * 17/03/03:[*] add some more stuff to DisR5900asm.c . win debugger is better now (shadow)
            [-] fix a bug in rec table (visubiu not exist) in macromode .. recCop2.c (shadow)
            [!] recheck vu micromode tables. Hmm they seem correct (shadow)

 * 16/03/03:[+] Added "next" (aka "step over") support for deci2 debugging
            [+] Added TTYP support (log redirection) (buggy;have to test more)
                (Florin)
                
 * 15/03/03:[*] move loadfile to rpc using florins protocol hi florin;p (shadow)

 * 15/03/03:[*] Fixes to breakpoints in deci2 stuff (Florin)

 * 13/03/03:[+] More deci2 dbgp stuff (BREAK/CONTINUE/RUN)
            [!] It is not fully tested. This is EXPERIMENTAL code.
            [!] It may contain many bugs and there are also "known issues".
            [*] changed names of shadow's padman files and made the according 
                changes to rpc_services.h & bios.c     (Florin)

 * 12/03/03:[*] rewrote padman+xpadman according to florins protocol on RPC folder
            [*] removed code from bios.c according to pad handling..
            [+] Add fix that make analog mode to work partially ;) (try turnip)  (shadow)

 * 10/03/03:[+] Added more mem mappings to PsxMem.c & Memory.c in order
                not to crash the emu when read from a not-covered area (Florin)

 * 10/03/03:[-] fix small bug in winmain that didn't let console to close winmain.c (shadow)

 * 04/03/03:[+] Added remaining UNPAKs and cleaned a bit, Vif.c/h (linuzappz)

 * 03/03/03:[*] replace console writes of IPU with IPU_LOG Ipu.c (Shadow)

 * 01/03/03:[-] Fixed partially FIFO bug; (unlogged change:P)
            [!] I haven't fixed it all because is very messed up.
            [+] Added a small fix to PsxMem.c in order to allow sifman to stay resident.
                (Florin)
                
 * 28/02/03:[+] Added support for remote debugging with tcp/ip deci2 protocol.
            [!] Not finished nor fully tested
            [!] There's an issue on Win98 with winsock2 closing [have 2 check that]
            [!] New src dir (rdebug\*.*), Win32\RDebugger.c/.h;
            [!] also added ws2_32.lib to link libraries
                (Florin)
                
 * 25/02/03:[+] Added 8bit DMAs to Hw.c
            [+] More UNPACK cases to Vif.c (linuzappz)

 * 23/02/03:[+] Added BC0s in COP0.c
            [!] the BC0s are still fake, but they should be ok ;) (linuzappz)

 * 22/02/03:[*] Now if the Recompiler fails to initialize it'll switch to interpreter (linuzappz)

 v0.2:
 * 18/02/03:[-] Small fix in winmain.c in SysInit() causing a crash (shadow)

 * 12/02/03:[+] Added new DMA transfer codes to VIF.c, GS.c
            [+] Added the new clipping code to the VU
            [*] Fixed most of the VU ops. Better compatibility
            [!] The new dma transfer code is 4-5% faster than the last one. :)

 * 12/02/03:[*] Fixed iR5900.c to include iR5900.h, moved some stuff from
                ix86.h to iR5900.h
            [-] Fixed CPU_LOG flags over iR5900.c/recCOP2.c
            [+] Added some SysPrintfs over iR5900.c after x86Init
                (linuzappz)

 * 26/01/03:[+] Added some defines in Hw.h (linuzappz)

 * 26/01/03:[-] Fixed include in IPU.c, 'common.h' for 'Common.h',
                SJdata.c, 'rpc/...' '...' (linuzappz)

 * 04/02/03:[+] ix86.c:   Added CPUID for linux.
                SSE is autodetected now (linuzappz)

 * 28/01/03:[+] ix86.c:    CPUID added. It will work if u don't change CPU on the FLY. :)
            [*] ir5900.c:  recompiler changed for CPUID.
            [*] recCOP2.c: recompiler changed for CPUID.
                (Alexey Silinov)
                
 * 27/01/03:[+] ir5900.c: recompile of DSRAV,PMINW,PMAXW added.
            [!] I'am not sure in this code.Need  find demos that use it.
            [+] ix86.c:  PANDNRtoR,PANDMRtoR added.
                (Alexey Silinov)
                
 * 25/01/03:[-] ir5900.c: Some fpu opcodes for non 3DNOW version fixed with EMMS_TRACE on.
                After Linuzappz request:memory opcodes 
            [-] (LB,LBU,LH,LHU,LW,LWU,.....,SB,SH,SW,...) fixed for version with EMMS_TRACE on.
            [-] recCOP2.c: Bugfixed for non 3DNOW version(added another recCOP2SPECIAL1t,recCOP2SPECIAL2t tables).

            [!] Now EMMS_TRACE will work much better.
                (Alexey Silinov)
                
 * 24/01/03:[+] ir5900.c: DSRA,DSRA32 recompilation added.
            [*] shifts by _Imm_=0,_Rs_=0 optimized.
            [+] PMFHI,PMFLO,PAND,PXOR,PMTHI,PMTLO,POR,PAND now can recompiled to SSE instructions. 
            [-] JUMPS bugfixed by putting SET_FPUSTATE before it,
                because cpuBranchTest use FPU.   Pillgen now ok with EMMS_TRACE.
            [!] #define CPU_SSE in ix86.h if you have Pentium3/4 or Duron7/AthlonXP.
                (Alexey Silinov)

 * 24/01/03: Fixed iR5900.c to compile without 3DNOW (linuzappz)

 * 24/01/03: Moved the emms's in Hw.c, GS.c, Memory.c to iR5900.c (linuzappz)

 * 24/01/03: Rewrote ini.c, same code as Pcsx now :) (linuzappz)

 * 24/01/03: Removed the browse info option over pcsx2.dsp (linuzappz)

 * 24/01/03: Some fixes in Hw.c, missings #ifdef HW_LOG/#endif, 
             reordered the ipu address and the IPU1 dma was wrong. (linuzappz)

 * 21/01/03: remove the fpu flags reorganize fpu.c a bit. Send code for using it
             as reference to all the pcsx2 members.

 * 21/01/03:recCOP2.c
       75% of COP2 ops recompiled used 3DNOW.
       only sign MAC flags updated.
       Zero,Sticky will be done later.
                     (Alexey Silinov)
 * 19/01/03: 
       ir5900.c:
       Fixed recompiling of RSQRT_S for3DNOW,recPCPYUD(tskin.elf now ok),
       recC_LE for x87 FPU(untitled.elf last part now ok).
       Optimizing recompile of recADDI,recADDIU,recDADDI,recDADDIU,
       recANDI,recORI,recXORI,... (check _Rs_,_Rt_= =0,!=0).
       Optimiing recMOVZ,recMOVN only one JMP CC,.. needed.
       Added #define EMMS_TRACE to.
       Added #define ARITHMETICIMM_RECOMPILE,ARITHMETIC_RECOMPILE,etc.
                                                        (Alexey Silinov)
 * 18/01/03: ir5900.c:Many recompiler opcodes fixed.
        IPU DMA logging update.
                     (Alexey Silinov)

 * 18/01/03: Fixed fileio_lseek function in 80000001fileio.c. (Florin)

 * 16/01/03: Rewrite fpu and added two version of it. One with flags and 
             one without. The no flags version is much faster. 
             fpu.c ,r5900.h,common.h,r5900.c,ini, resources , winmain.c (shadow)

 * 15/01/03: Added memory mapping of IPU_CMD,IPU_CTRL,IPU_TOP,IPU_BP.
        Added parsing of IPU commands.
                     (Alexey Silinov)
 * 14/01/03: recMAX_S,recMIN_S,recC_F,recC_EQ,recC_LE,recC_LT-added.
        recABS_S,recNEG_S-now don't use FPU.
        ix86.c - 3DNOW opcodes added.
        #ifdef CPU_3DNOW then FPU recompiled using 3DNOW instruction set.
               Now we are ready TODO FPU register cache on CPU_3DNOW.
        gs.c add emms before GS read,write.
                     (Alexey Silinov)

 * 14/01/03: Fixed stupid bug in 80000001fileio.c (Florin)

 * 13/01/03: Fixed some issues in CDVDiso.c & 80000597cdvdfsv.c (Florin)

 * 11/01/03: Fixed fileio [important] functions up to ioprp255 (Florin)

 * 11/01/03  some more MMI opcodes in rec (alexey silinov)

 * 10/01/03  recPADDUB-changed,recPADDUH-added     (Alexey Silinov)


 * 09/01/03
               My copy&paste bugs in recPCPYUD,recPAND,recPXOR fixed. 
               Now EMMS() instruction writing only before FPU commands if FPU state is MMX.With it size of recompiled code is reduced. 
               !!Added macros SET_FPUSTATE,SET_MMXSTATE it's must before MMX or FPU instruction. 
               Fixed many ops.ExtSign32to64() don't used anymore. it's faster and smaller to do CDQ(). 
               recLUI,recPCPYLD optimized. 
               Added recompilation of PMAXH,PMINH,PCGTB,PCGTH,PCGTW,PCEQB,PCEQH,PCEQW,PEXTLW,PEXTUW.  
               ir5900.c,ix86.c, ix86.h 
                     (Alexey Silinov)


 * 07/01/03: Fixed MADD, MADDA, MSUB, MSUBA opcodes in FPU.c ( asadr )

 * 07/01/03: added MTSAB,MTSAH in interpreter.c (asadr)

 * 07/01/03: Added Flags in FPU.c, fixed SQRT, DIV, RSQRT opcodes in FPU.c ( asadr )

 * 07/01/03: add some opcodes in interpreter.c (shadow)

 * 07/01/03: small fix in mult1,multu1 in MMI.c (shadow)

 * 07/01/03: more addes in recompiler iR5900.c     (Alexey Silinov)

 * 07/01/03: fixed MULT,MULTU,MULT1,MULTU1 in rec and added DIV1,DIVU1  iR5900.c 
                     (Alexey Silinov)

 * 07/01/03: add several MMI opcodes to recompiler iR5900.c ix86.c ix86.h 
                     (Alexey Silinov)
 
 * 07/01/03: Fixed libpad version issues; added scePadInit2 support in Bios.c (Florin)

 * 06/01/03: Added sceDvdRead function to 80000595cdvdfsv.c, CDVDiso.h/.c
        Moved sifcall_cdvdfsvA from Bios.c to 80000592cdvdfsv.c (Florin)

 * 05/01/03: Fixed libmc version 80000400mcserv.c
        Added support for cdrom device in LoadHeap function 80000003sysmem.c (Florin)

 * 05/01/03: Added D and I Flag checking in vuDiv and SQRT opcodes and some more fixes ( asadr )

 * 05/01/03: Merge all the vu code fixes to the better possible one vuops.h (shadow)

 * 05/01/03: Several vu fixes vuops.h        (Alexey Silinov)

 * 04/01/03: Added temporary fix to vuDIV, vuRSQRT, vuERSADD, vuERCPR, ERSQRT  ( asadr )

 * 04/01/03: Added vuERCPRL, vuESUM , vuEATANxz, vuESIN, vuEATAN, vuEEXP, vuRXOR ( asadr )

 * 04/01/03: Fixed GetPS2ElfName Misc.c
        Romanian version pcsx2ro.rc & spell fixes in pcsx2.rc (Florin)

 * 03/01/03: Added callback support in Bios.c
        Added function name display support (if you know other places, plz add...)
               (Florin)

 * 02/01/03: Fixed sceCdRead (cdvdfsv1.4 and more?) 80000595cdvdfsv.c (Florin)
        sceCdSeek, sceCdPause, sceCdStop, sceCdStatus

 * 02/01/03: Added SLTI,SLTIU,SLT,SLTU iR5900.c    ( Alexey Silinov)

 * 02/01/03: Added SETS8R ix86.c ix86.h      ( Alexey Silinov)

 * 01/01/03: YAH HAPPY NEW YEAR :)

 * 30/12/02: Added Dump memory button in Debug dialog over Debugger.c (Florin)

 * 29/12/02: Start work on Savestates Common.h, Misc.c. Need to include zlib.lib in project (shadow)

 * 29/12/02: Fix small bug In ERET. COP0.c (shadow)

 * 29/12/02: Some more Vu opcodes in the vuops.h (shadow)

 * 29/12/02: Added BC2F,BC2T,BC2TL,BC2FL not sure if i check the right bit althought Vu0.c (shadow)

 * 29/12/02: Added HLE opcode over DisR5900.c (linuzappz)
 
 * 29/12/02: Fixed some bugs on rec mode, Memory.c, PsxMem.c,
                   ix86.c/h, iR3000A.c, iR5900.c (linuzappz)

 * 29/12/02: Fixed JALR in Interpreter.c (linuzappz)

 * 28/12/02: Fixed stupid old bug in iR5900.c (linuzappz)
 
 * 26/12/02: Added compiler detection code (Win32/WinMain.c) (Florin)

 * 20/12/02: Refixed new Threads code, a bit hacky still ;), Bios.c/h, HLE.c (linuzappz)

 * 20/12/02: Refixed Counters.c, GS.c (linuzappz)

 * 20/12/02: Changed some cop0 names over DisR5900.c (linuzappz)

 * 20/12/02: Fixed EXL bit on cpuException, R5900.c (linuzappz)

 * 20/12/02: Fixed ERET, COP0.c, Interpreter.c, R5900.h (linuzappz)
   
 * 19/12/02: fix bugs in fileio system 80000001fileio.c (florin)
   
 * 19/12/02: rewrite MMI mmi.c (linuzappz)

 v0.1:
 * 17/12/02: Small cleaning for release (linuzappz)

 * 17/12/02: Fixed a comment in CDVD.h (linuzappz)

 v0.046: 
 * 17/12/02: FIXED THAT BASTARD BUG with interpreter 
             R5900.c (shadow)

 * 16/12/02: Fixed CDVDFS_read function (CDVDisodrv.c). (Florin)

 * 07/12/02: Added support for SjDATA filesystem (SJdata.c/.h).
        Small fixes in 80000003sysmem code.
        Moved OpenPlugins call from debugger.c to WinMain.c
        Added support for 0B001337cdvd rpc driver. (Florin)

 * 06/12/02: Fixed RPCVER for games that load ioprp.img.
                     Moved related code Bios.c to Misc.c. (Florin)

 * 05/12/02: Placed a guard in CDVDFS_init/CDVDisodrv.c
        Added support for reading from cdvd in Elfheader.c/.h
        Implemented RunCD option WinMain.c, GtkGui.c, Misc.c/.h (Florin)

 * 01/12/02: Made fileio_open more compatible with games (up to 2.0F/ioprp255) (Florin)

 * 30/11/02: Add test opcodes TGE,TGEU,TLT,TLTU,TEQ,TNE Intepreter.c (shadow)

 * 30/11/02: Add exceptions defines in R5900.h (shadow)

 * 01/12/02: Removed old VU0 code over VU0.c (linuzappz) 

 * 31/11/02: Implemented CheckCdrom/LoadCdrom, still unfinished, Misc.c (linuzappz)

 v0.045:
 * 31/11/02: Changed memRead32 for PSMu32 over Interpreter.c (linuzappz)

 * 31/11/02: Fixed CdRead, CDVDiso.c (linuzappz)

// * 30/11/02: Added irqs for rcnt2/3, started thread HLE code rewrite, 
//             Bios.c, Counters.c (linuzappz)

 * 28/11/02: Fixed win32 fileio path, and some more small issues (linuzappz)

 * 27/11/02: Added BD0000X0 connection to 1000F0X0 and BC000000 ee memmap, 
             implemented direct rec clears, and added some more counters stuff, PsxMem.c/h, 
             Memory.c/h, iR3000A.c, iR5900.c, Counters.c/h, Hw.c, PsxHw.c (linuzappz)

 v0.044:
 * 26/11/02: Added RPC handler for 80000595cdvdfsv
             Fixes in iso handling system (read function can read more than 16KB)
             Fixed issue with deci2call no.3 (junk re-printing)   (Florin)
 * 20/11/02: Automatic setting of RPCVER
             (problems: 1. SDK samples do not load an ioprp; default is "2000";)
                        2. starwars game load a ioprp.img; so RPCVER="0000")
             Fixed bug in CDVDiso.c/CdRead(); check for null pointer
             Fixed issue with the Joliet filesystem   (Florin)
 * 09/11/02: Added iso parsing & filesystem driver from libcdvd library by Hiryu & Sjeep
             Added credits (Hiryu&Sjeep) to Aboutbox & Readme.txt
             Changed the order of opening of plugins in Plugins.c/OpenPlugins()
             Added (or moved code from bios.c) to handle RPC user & standard code
              -works (or should work; needs intensive testing):
                014D704Enaplink, 80000001fileio,
                80000003sysmem,  80000592cdvdfsv,
                80000597cdvdfsv
              -dummy (to be implemented; only params display):
                0B0110C5sjpcm, 0badca11amigamod(shadow),
                80000400mcserv,80000596cdvdfsv,
                80000601osdsnd         
             Added RPC_LOG logging stuff to debug.h, pcsx2.rc & resource.h
             Added kputs handling for scePrintf in Deci2Call syscall in bios.c
                                                                               (Florin)

 v0.043:
 * 06/11/02: add some work for amigamod.irx HLE based on Florin
             RPC code (shadow)

 * 21/10/02: implement some more opcodes for VU + flags in many opcodes
             (shadow)

 * 19/10/02: Added more opcodes to VUops.h (from VU0.c), and started the implementation of flags,
             VUflags.h, VU* (shadow-linuzappz)
 * 12/10/02: Added fix for several bioses, Hw.c, removed hack for 30002R.bin R5900.c (linuzappz)

 * 06/10/02: Added 0xb2000000 map area as a 0x12000000 mirror, Memory.c (linuzappz)

 * 06/10/02: Added/Fixed some VIF1 unpack cases, Vif.c (linuzappz)

 * 06/10/02: Started Rewrite of SetGsCrt, Bios.c (linuzappz)

 * 05/10/02: Improved gsReads/Writes GS.c (linuzappz)

 * 28/09/02: Added iop HLE code for exceptions in PsxBios.c (linuzappz)

 * 24/09/02: Added ps2 bios check for config dialog in ConfigDlg.c/GtkGui.c (Florin)

 * 23/09/02: Added command line parsing for main's argc, argv in ElfHeader.c (Florin)

 * 14/09/02: Fixed small issue in PsxBios2.c/h, Bios.c (linuzappz)

 * 13/09/02: Fixed bug in Bios.c for sif_call (linuzappz)

 v0.042:
 * 25/08/02: Fixed VU SQRT/RSQRT, also added ERSQRT, VUops.h (linuzappz)

 * 24/08/02: Added several stuff for IOP hle (linuzappz)

 * 09/08/02: Added: PADDSW, PSUBSW, PPACW, PADDSH, PSUBSH, PEXTLH, PPACH, PADDSB, PSUBSB,
                    PPACB, PEXT5, PPAC5, PABSW, PCEQW, PMINW, PADSBH, PABSH, PCEQH, PMINH,
                    PCEQB, PSUBUW, PADDUH, PSUBUH, PSUBUB, PEXTUB, QFSRV, PSLLVW, PSRLVW,
                    PINTH, PROT3W, PSRAVW, PEXCW, PEXCH, PINTEH, PMTHI, PMTLO, PEXEW,
                    PREVH, PEXEH, in MMI.c (GoldFinger)

 * 09/08/02: Changed: PADDUB to conform to defines (GoldFinger)

 v0.041:
 * 11/08/02: More to VUops.h (shadow)

 * 10/08/02: Rewrote L/R Stores/Loads (linuzappz)

 * 05/08/02: Add some more opcodes to VUops.h some demos works again(shadow)

 * 04/08/02: Added VUops.h, VU0.c/h, still uncomplete (linuzappz)

 * 04/08/02: Added GSgifTransfer2 for PATH1, VU1micro.c, PS2Edefs.h, Plugins.c (linuzappz)

 * 03/08/02: Added unpack v4-32, Vif.c (linuzappz)

 * 02/08/02: Rewrote partially VUmicrocode, structures and stuff, VU1/0micro.c, VUmicro.h (linuzappz)
 
 * 02/08/02: Small change on Misc.c (linuzappz)

 * 01/08/02: cpuExecuteBios is now called before the LoadElf, WinMain.c (linuzappz)

 * 01/08/02: Added a couple of HW_LOGS in Hw.c (linuzappz)

 * 01/08/02: Fixed MFC2/CFC2 in DisR3000A.c (linuzappz)

 * 01/08/02: Added small hack on R3000A.c (linuzappz)

 * 01/08/02: Fixed bug in StartThread Bios.c (linuzappz)
 
 v0.040:
 * 31/07/02: Small change in PsxInterpreter.c and PsxHw.c (linuzappz)
 
 * 31/07/02: Added CDVDgetTN and CDVDgetTD, PS2Edefs.h, Plugins.c, CdRom.c/h (linuzappz)

 * 30/07/02: Fixed Gte.c, now includes PsxCommon.h (linuzappz)

 * 30/07/02: Added GPU_LOG to Debug.h (linuzappz)

 * 30/07/02: IOP now has vsyncs, PsxCounters.c/h (linuzappz)

 * 30/07/02: Added PsxGPU.c/h, moved the GPU_xx stuff from PsxBios.c, PsxDma.c (linuzappz)

 * 24/07/02: Added psxSIF1transfer to R3000A.c,, Sif.c, still not working (linuzappz)

 * 24/07/02: Added a couple of address more to PsxHw.c (linuzappz)

 * 24/07/02: Added zeroEx func to trace writes to stdout, PsxInterpreter.c (linuzappz)

 * 24/07/02: Improved bios_write, PsxBios.c (linuzappz)

 * 24/07/02: PsxMem.c now handles the full 4mb of the bios mem (linuzappz)

 * 24/07/02: Hack for 30002R bios, R5900.c (linuzappz)

 * 24/07/02: Fixed BNEL, BEQL in disR5900.c (linuzappz)

 * 22/07/02: Remove biosCall, now use only biosException, Bios.c/h, Interpreter.c, 
             R5900.c (linuzappz)

 * 21/07/02: Intialaze of VU1 vu1microc,vumicro.h,R5900.c (shadow)

 * 21/07/02: implement VIF0transfer same way as VIF1transfer vif.c (shadow)

 * 20/07/02: Add debug logs in vu0,vu1 micromode + vu0 execute  vu0micro.c,
             vu1micro.c,vumicro.h (shadow)

 * 18/07/02: Clean up vu0 macromode vu0.c (shadow)

 * 19/07/02: PsxMem.c now handles 0xbf80xxxx hw addresses (linuzappz)

 * 17/07/02: IOP PRid is 0x1f (not 0x2), R3000A.c (linuzappz)

 * 17/07/02: More to VU1micro.c (shadow)

 * 14/07/02: Added psxMemRLUT/psxMemWLUT instead of only psxMemLUT, PsxMem.c/h (linuzappz)

 * 11/07/02: Added MADD1, MADDU1, PMFHL, PCGTW, PMAXW, PADDH, PSUBH, PCGTH, 
             PMAXH, PADDB, PCGTB, MMI.c (goldfinger)

 v0.039:
 * 08/07/02: Commented the 0xe000 hw dma test, for jasper, Hw.c (linuzappz)

 * 08/07/02: Changed PADreadStatus for PADstartPoll/PADpoll, Plugins.c, PS2Edefs.h, Bios.c,
             PsxBios.c, Sio.c (linuzappz)

 * 07/07/02: More to Vif1 dma and added vu1ExecMicro, Vif.c, VU1micro.c/h (linuzappz)

 * 06/07/02: Rewritten/updated iop code, CdRom.c/h, Common.h, Iop*, Psx*, Debug.h,
             Decode_XA.c/h, DisR3000A.c, ElfHeader.c, Gte.c/h, Mdec.c/h, R3000A.c,
             R5900.c/h, Sio.c/h, iR3000A.c, Bios.c, pcsx2.dsp (linuzappz)

 * 05/07/02: Added CDVDreadTrack/getBuffer and now we're using CDVD plugin, PS2Edefs.h,
             Plugins.c, ConfigDlg.c, ini.c pcsx2.rc (linuzappz)

 * 05/07/02: Optimized recANDI and completed the mmi rec tables, iR5900.c,ix86.c/h (linuzappz)

 * 06/07/02: Add VU opcodes tables vu1micro.c,vu0micro.c,vumicro.h (shadow)

 * 03/07/02: Added MADDU, PMTHL, PLZCW, PSLLH, PSRLH, PSRAH, PSLLW, PSRLW, PSRAW in MMI.c(goldfinger)

 * 03/07/02: Small change in MULT1, MULTU1 for speed, MMI.c(goldfinger)

 * 03/07/02: Fixed MADD, PLZCW in MMI.c(goldfinger)

 * 03/07/02: Fixed signed extend in DIVU, SLL, SLLV, Interpreter.c(goldfinger)

 * 03/07/02: Fixed C_F, FPU.c(goldfinger)

 * 04/07/02: Fixed silly bug on Bios.c, also added a workaround on Counters.c (linuzappz)

 * 04/07/02: Refixed CVT_W/S, FPU.c (linuzappz)

 * 03/07/02: Fixed DIV/DIVU and implemented MOVZ/MOVN in iR5900.c (linuzappz)

 v0.038:
 * 02/07/02: Small change on CVT_W, FPU.c (linuzappz)

 * 01/07/02: Changed a bit IPU.c/h, added the dmaIPUs on Hw.c and added IPU_LOG, Debug.h, 
             resource.h, pcsx2.rc, Common.h (linuzappz)

 * 30/06/02: Add the remaining vif regs in the structure vif.h (shadow)
 
 * 30/06/02: Framework for IPU  ipu.c,ipu.h (shadow)

 v0.037:
 * 30/06/02: Added a couple of MMI opcodes to iR5900.c, ix86.c/h, also added one more cdvd server,
             Bios.c (linuzappz)

 * 29/06/02: Added most of the FPU opcodes on the recompiler, fixed DSRLV/DSLLV, and also added 
             LQ, SQ, MFHI, MFLO, MTLO, MTHI, iR5900.c, ix86.c/h (linuzappz)

 * 28/06/02: Refixed LDL,LDR,SDL,SDR, Interpreter.c (linuzappz)

 * 27/06/02: Fixed bug in ABS, FPU.c and completed more fpu opcodes on DisR5900.c + fix to vu0 (vu0.c) 
             (shadow-linuzappz)

 * 27/06/02: Fixed fileio for dummy files, Bios.c (linuzappz)

 * 26/06/02: Changes/(fixes?) to some opcodes in interpreter.c SRA,DSRA,MULT,MULTU
             ,SDL,SDR,LDR,LDL.At least cubemastah is correct now!(GoldFinger)

 * 20/06/02: Fixed the new Logging, modified the files on the last entry + WinMain.c (linuzappz)

 * 18/06/02: Realtime Logging Debugger.c,resource.h,pcsx2.rc,ini.c,
             Common.h,debug.h (you must enable it!)(need to fixed) (shadow)

 * 18/06/02: Add some work for sjpcm module on Bios.c (shadow)

 v0.36:
 * 13/06/02: Fix basic3d on Bios.c (linuzappz)

 * 09/06/02: Fix for call/ret dma in GS.c (shadow)

 * 06/06/02: Started CDVD plugin API on PS2Edefs.h (linuzappz)

 * 06/06/02: Started HLE.c/h, Interpreter.c, Common.h, iR5900.c, InterTables.c/h (linuzappz)

 * 04/06/02: Added some more syscalls on Bios.c (linuzappz)

 * 02/06/02: Fixed some bugs on SPR.c, Sif.c, Vif.c (linuzappz)

 * 02/06/02: More work on DisR5900asm.c (shadow)

 * 02/06/02: More stuff on Vif.c/h and SPR.c (linuzappz)

 * 01/06/02: Started SIFdmas Hw.c, Sif.c/h, Common.h, added SIF_LOG to Debug.h,
   also removed the BREAK code since the bios doesn't handles that, Interpreter.c (linuzappz)

 * 01/06/02: Added PLZCW to MMI.c (linuzappz)

 * 01/06/02: RFU060 is now as before, added INTC and DMAC stuff, added INTC regs 0x1000f000 and
   0x1000f010, and DMAC 0x1000e010, Hw.c/h, Bios.c, Counters.c, R5900.c/h (linuzappz)

 * 31/05/02: Thread stuff is better now, added RFU061 and fixed RFU060, Bios.c (linuzappz)

 * 30/05/02: VU0 stuff is almost complete on DisR5900asm.c (shadow)

 * 30/05/02: Set gp on ElfHeader.c (linuzappz)

 * 30/05/02: Renamed _LOG to EMU_LOG, Debug.h, WinMain.c (linuzappz)

 * 28/05/02: Implemented GetCop0/iGetCop0 bios calls, Bios.c (linuzappz)

 * 28/05/02: Added names to GPR/COP0 regs, R5900.h, COP0.c, Bios.c, Interpreter.c, 
   FPU.c, DisR5900.c, R5900.c, VU0.c, MMI.c, iR5900.c, ElfHeader.c (linuzappz)

 * 28/05/02: Fixed PSUBW, PSUBB, added PADDW, PEXTLB, PEXTUH, MMI.c, PERF
   on Interpreter.c, and TLBWR, TLBR to COP0.c (linuzappz)

 * 28/05/02: disasm.c/h is now DisR5900asm.c, Debugger.c, Debug.h, also added symbols
   support for it (linuzappz)

 v0.35:
 * 27/05/02: INCREASE VERSION ON 0.036! WinMain.c (shadow)

 * 27/05/02: add partialy support for VU0 in Win32 disasm.fix a bug in tables for MMI
             disasm.c disasm.h (shadow)
             
 * 27/05/02: add VU1 register debugger.  resource.h, pcsx2.rc,debugger.h, debugreg.c (shadow)

 * 27/05/02: Started real threads stuff on Bios.c (linuzappz)

 * 27/05/02: Rewrote dmaGIF/dmaVIF1, GS.c/h, Vif.c/h, Hw.c/h (linuzappz)

 * 27/05/02: add Macros for VU0Mem + Some new VU0 opcodes VISWR,VILWR,  (shadow - [TyRaNiD] )

 * 27/05/02: add some new Defines (_Id_ _Is_ _It_ _Imm5_) and some new opcodes
   VIADD,VISUB,VIOR,VIAND,VIADDDI,VFOI12,VFOI15,VABS  (shadow)

 * 26/05/02: Added support for Symbols on DisR5900.c, ElfHeader.c, Debug.h,
   also refixed the qwc on SPR.c (linuzappz)

 * 26/05/02: Added some cdvdfsv stuff on Bios.c, also set the gs revision to 3 in
   CSR, GS.c (linuzappz)

 * 25/05/02: CTC2/CFC2 to DisR5900.c (linuzappz)

 * 25/05/02: Added BREAK opcode on Interpreter.c (linuzappz)

 * 25/05/02: Now the b0000000 to b2000000 address are handled as a 10000000 mirror,
   Hw.c, Memory.c (linuzappz)

 * 25/05/02: Removed some old code on R5900.c, rewrote a bit the ElfHeader.c (linuzappz)

 * 24/05/02: Add gsWrite... on bios_SetGsCrt (tyranid)

 * 24/05/02: MULT1/MULTU1 are now ok MMI.c (linuzappz)

 * 24/05/02: Added 1000f000 addr on hwRead32, Hw.c (linuzappz)

 * 23/05/02: add VU0 opcodes VSUBi,VSUBq,VMULA,VMULAi,VMULAq,VMSUB,VMSUBi,
   VMSUBq,VMADDA,VMAX,VMINI,VADDA,VADDAi,VADDAq,VADDAx,VADDAy,
   VADDAz,VADDAw,VSUBA,VSUBAi,VSUBAq,VSUBAx,VSUBAy,VSUBAz,VSUBAw,
   VMSUBA,VMSUBAx,VMSUBAy,VMSUVAz,VMSUBAw,VMSUBAi,VMSUBAq  (shadow)

 * 23/05/02: add VU0-1 status. (vu0.h , vumicro.h) (shadow)

 * 23/05/02: Added VU0/1micro.c/VUmicro.h (shadow)

 * 23/05/02: Fixed bios_isceSifDmaStat (return -1), also started some work on the 
   zero-exception stuff, Bios.c, IopBios.c, R5900.c (linuzappz)

 * 23/05/02: VRNEXT should be fine now, VU0.c (linuzappz)

 * 23/05/02: Small addition on Bios.c, 0x80000003 cmd on bios_isceSifSetDma (linuzappz)

 * 22/05/02: Added define __VU0_H__ on VU0.h (linuzappz)

 * 22/05/02: Rewritten GSdma/dmaGIF stuff, now only GSgifTransfer exists, added dmaGIF to GS.c, also added
   GIF_LOG to Debug.h, Plugins.c/h (linuzappz)

 * 21/05/02: Fixed one bug in WinMain.c, now can rerun a elf ok (linuzappz)

 * 21/05/02: More stuff to Vif.c (linuzappz)

 * 20/05/02: Fixed one bug in biosException (linuzappz)

 * Started SPRdmas, SPR.c/h, Hw.c, Common.h, also added SPR_LOG, Debug.h (linuzappz)

 * 'call' dmaChain mode in dmaVIF1 should be right now (linuzappz)

 * More changes to the GS plugin API, GSdmaGIF/GSdma, PS2Edefs.h, Plugins.c, Hw.c, Vif.c,
   also fixed little bug in SPU2init (linuzappz)

 * Small change in GSmakeSnapshot, now pass char *path (linuzappz)

 v0.34:

 * add more opcodes to Disasm  DisR5900.c  (shadow)

 * correct MTSA in interpreter interpreter.c (_Rs_ and not _Rd_)    (shadow)

 * fixed FPU register debugger debugreg.c .Now registers appears float (shadow)

 * Some more stuff on Bios.c/Counters.c, timer1 intc, fixed bug in CreateSema (semaid stuff),
   and added iSignalSema (linuzappz)

 * Added some VU0 opcodes to DisR5900.c (linuzappz)

 * Fixed bug in FPU.c, BC1XX branch delay (linuzappz)

 * Started Vif0/1 dmas, Hw.c, Vif.c/h, Common.h, added VIF_LOG to Debug.h (linuzappz)

 * Fixed VSUBx, VMULz, renamed VMONE to VMOVE, VU0.c (linuzappz)

 * Moved COP2 from Interpreter.c to VU0.c, and MMI to MMI.c (linuzappz)

 * fixed VU0 register debugger debugreg.c (Linuzappz-shadow)

 * Added ExecuteBlock and removed ExecuteBios on R5900cpu, R59000.h, Interpreter.c
   and iR5900.c, also added psxExecuteBios, R5900.c, WndMain.c (linuzappz)

 * Some fixes to VU0.c, _Rd_ == 0, not _Rd_ != 0 (linuzappz)

 * Added MTHI1/MTLO1, MMI.c (linuzappz)

 * Rewrote Memory.c (linuzappz)

 * Improved iR5900.c branchs, and updated ix86.c/h (linuzappz) 

 * Fixed bug in MULTU, (u64) stuff (linuzappz)

 * Interrupt Exception code was wrong, 0 -> 0x400 (linuzappz)

 * Started ChangeLog

